
	id ZZ(i1?,i2?,i3?,[c],i4?,[c],i5?,[c],i6?,[c],i7?,[c],i8?,[v],m?,n?) =

       + kk(i2,m)*kk(i2,n) * (
          + 2*g1(i2,i3)*g3(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i3)
          - 2*g2(i1,i3)*g2(i2,i3)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          )

       + kk(i2,m)*kk(i3,n) * (
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - 2*g4(i2,i3)
          )

       + kk(i2,m)*kk(i4,n) * (
          + g1(i2,i3)*g1(i2,i4)*g2(i1,i3)
          - g1(i2,i3)*g1(i3,i4)*g2(i1,i4)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g1(i2,i3)*g3(i1,i4)
          + g1(i2,i3)*g3(i3,i4)
          + g1(i2,i4)*g1(i3,i4)*g2(i1,i3)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g2(i1,i2)*g2(i2,i3)
          + g2(i1,i2)*g2(i2,i4)
          - g2(i1,i2)*g2(i3,i4)
          - g2(i1,i3)*g2(i2,i3)
          - g2(i1,i3)*g2(i2,i4)
          - g2(i1,i3)*g2(i3,i4)
          - g2(i1,i4)*g2(i2,i3)
          + g2(i1,i4)*g2(i2,i4)
          - g2(i1,i4)*g2(i3,i4)
          + g2(i2,i3)*g2(i3,i4)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - g4(i2,i3)
          - g4(i2,i4)
          + g4(i3,i4)
          )

       + kk(i2,m)*kk(i5,n) * (
          + g1(i2,i3)*g1(i2,i5)*g2(i1,i3)
          - g1(i2,i3)*g1(i3,i5)*g2(i1,i5)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g1(i2,i3)*g3(i1,i5)
          + g1(i2,i3)*g3(i3,i5)
          + g1(i2,i5)*g1(i3,i5)*g2(i1,i3)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g2(i1,i2)*g2(i2,i3)
          + g2(i1,i2)*g2(i2,i5)
          - g2(i1,i2)*g2(i3,i5)
          - g2(i1,i3)*g2(i2,i3)
          - g2(i1,i3)*g2(i2,i5)
          - g2(i1,i3)*g2(i3,i5)
          - g2(i1,i5)*g2(i2,i3)
          + g2(i1,i5)*g2(i2,i5)
          - g2(i1,i5)*g2(i3,i5)
          + g2(i2,i3)*g2(i3,i5)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - g4(i2,i3)
          - g4(i2,i5)
          + g4(i3,i5)
          )

       + kk(i2,m)*kk(i6,n) * (
          + g1(i2,i3)*g1(i2,i6)*g2(i1,i3)
          - g1(i2,i3)*g1(i3,i6)*g2(i1,i6)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g1(i2,i3)*g3(i1,i6)
          + g1(i2,i3)*g3(i3,i6)
          + g1(i2,i6)*g1(i3,i6)*g2(i1,i3)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g2(i1,i2)*g2(i2,i3)
          + g2(i1,i2)*g2(i2,i6)
          - g2(i1,i2)*g2(i3,i6)
          - g2(i1,i3)*g2(i2,i3)
          - g2(i1,i3)*g2(i2,i6)
          - g2(i1,i3)*g2(i3,i6)
          - g2(i1,i6)*g2(i2,i3)
          + g2(i1,i6)*g2(i2,i6)
          - g2(i1,i6)*g2(i3,i6)
          + g2(i2,i3)*g2(i3,i6)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - g4(i2,i3)
          - g4(i2,i6)
          + g4(i3,i6)
          )

       + kk(i2,m)*kk(i7,n) * (
          + g1(i2,i3)*g1(i2,i7)*g2(i1,i3)
          - g1(i2,i3)*g1(i3,i7)*g2(i1,i7)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g1(i2,i3)*g3(i1,i7)
          + g1(i2,i3)*g3(i3,i7)
          + g1(i2,i7)*g1(i3,i7)*g2(i1,i3)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g2(i1,i2)*g2(i2,i3)
          + g2(i1,i2)*g2(i2,i7)
          - g2(i1,i2)*g2(i3,i7)
          - g2(i1,i3)*g2(i2,i3)
          - g2(i1,i3)*g2(i2,i7)
          - g2(i1,i3)*g2(i3,i7)
          - g2(i1,i7)*g2(i2,i3)
          + g2(i1,i7)*g2(i2,i7)
          - g2(i1,i7)*g2(i3,i7)
          + g2(i2,i3)*g2(i3,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - g4(i2,i3)
          - g4(i2,i7)
          + g4(i3,i7)
          )

       + kk(i2,m)*kk(i8,n) * (
          + g1(i2,i3)*g1(i2,i8)*g2(i1,i3)
          - g1(i2,i3)*g1(i3,i8)*g2(i1,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g1(i2,i3)*g3(i1,i8)
          + g1(i2,i3)*g3(i3,i8)
          + g1(i2,i8)*g1(i3,i8)*g2(i1,i3)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g2(i1,i2)*g2(i2,i3)
          + g2(i1,i2)*g2(i2,i8)
          - g2(i1,i2)*g2(i3,i8)
          - g2(i1,i3)*g2(i2,i3)
          - g2(i1,i3)*g2(i2,i8)
          - g2(i1,i3)*g2(i3,i8)
          - g2(i1,i8)*g2(i2,i3)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i8)
          + g2(i2,i3)*g2(i3,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - g4(i2,i3)
          - g4(i2,i8)
          + g4(i3,i8)
          )

       + kk(i2,m) * (
          + g1(i2,i3)*g2(i1,i2)*ellf(n)
          + g1(i2,i3)*g2(i1,i3)*ellf(n)
          + 2*g3(i1,i2)*ellf(n)
          - 2*g3(i1,i3)*ellf(n)
          - g3(i2,i3)*ellf(n)
          )

       + kk(i2,n)*kk(i3,m) * (
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - 2*g4(i2,i3)
          )

       + kk(i2,n)*kk(i4,m) * (
          + g1(i2,i3)*g1(i2,i4)*g2(i1,i3)
          - g1(i2,i3)*g1(i3,i4)*g2(i1,i4)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g1(i2,i3)*g3(i1,i4)
          + g1(i2,i3)*g3(i3,i4)
          + g1(i2,i4)*g1(i3,i4)*g2(i1,i3)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g2(i1,i2)*g2(i2,i3)
          + g2(i1,i2)*g2(i2,i4)
          - g2(i1,i2)*g2(i3,i4)
          - g2(i1,i3)*g2(i2,i3)
          - g2(i1,i3)*g2(i2,i4)
          - g2(i1,i3)*g2(i3,i4)
          - g2(i1,i4)*g2(i2,i3)
          + g2(i1,i4)*g2(i2,i4)
          - g2(i1,i4)*g2(i3,i4)
          + g2(i2,i3)*g2(i3,i4)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - g4(i2,i3)
          - g4(i2,i4)
          + g4(i3,i4)
          )

       + kk(i2,n)*kk(i5,m) * (
          + g1(i2,i3)*g1(i2,i5)*g2(i1,i3)
          - g1(i2,i3)*g1(i3,i5)*g2(i1,i5)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g1(i2,i3)*g3(i1,i5)
          + g1(i2,i3)*g3(i3,i5)
          + g1(i2,i5)*g1(i3,i5)*g2(i1,i3)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g2(i1,i2)*g2(i2,i3)
          + g2(i1,i2)*g2(i2,i5)
          - g2(i1,i2)*g2(i3,i5)
          - g2(i1,i3)*g2(i2,i3)
          - g2(i1,i3)*g2(i2,i5)
          - g2(i1,i3)*g2(i3,i5)
          - g2(i1,i5)*g2(i2,i3)
          + g2(i1,i5)*g2(i2,i5)
          - g2(i1,i5)*g2(i3,i5)
          + g2(i2,i3)*g2(i3,i5)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - g4(i2,i3)
          - g4(i2,i5)
          + g4(i3,i5)
          )

       + kk(i2,n)*kk(i6,m) * (
          + g1(i2,i3)*g1(i2,i6)*g2(i1,i3)
          - g1(i2,i3)*g1(i3,i6)*g2(i1,i6)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g1(i2,i3)*g3(i1,i6)
          + g1(i2,i3)*g3(i3,i6)
          + g1(i2,i6)*g1(i3,i6)*g2(i1,i3)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g2(i1,i2)*g2(i2,i3)
          + g2(i1,i2)*g2(i2,i6)
          - g2(i1,i2)*g2(i3,i6)
          - g2(i1,i3)*g2(i2,i3)
          - g2(i1,i3)*g2(i2,i6)
          - g2(i1,i3)*g2(i3,i6)
          - g2(i1,i6)*g2(i2,i3)
          + g2(i1,i6)*g2(i2,i6)
          - g2(i1,i6)*g2(i3,i6)
          + g2(i2,i3)*g2(i3,i6)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - g4(i2,i3)
          - g4(i2,i6)
          + g4(i3,i6)
          )

       + kk(i2,n)*kk(i7,m) * (
          + g1(i2,i3)*g1(i2,i7)*g2(i1,i3)
          - g1(i2,i3)*g1(i3,i7)*g2(i1,i7)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g1(i2,i3)*g3(i1,i7)
          + g1(i2,i3)*g3(i3,i7)
          + g1(i2,i7)*g1(i3,i7)*g2(i1,i3)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g2(i1,i2)*g2(i2,i3)
          + g2(i1,i2)*g2(i2,i7)
          - g2(i1,i2)*g2(i3,i7)
          - g2(i1,i3)*g2(i2,i3)
          - g2(i1,i3)*g2(i2,i7)
          - g2(i1,i3)*g2(i3,i7)
          - g2(i1,i7)*g2(i2,i3)
          + g2(i1,i7)*g2(i2,i7)
          - g2(i1,i7)*g2(i3,i7)
          + g2(i2,i3)*g2(i3,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - g4(i2,i3)
          - g4(i2,i7)
          + g4(i3,i7)
          )

       + kk(i2,n)*kk(i8,m) * (
          + g1(i2,i3)*g1(i2,i8)*g2(i1,i3)
          - g1(i2,i3)*g1(i3,i8)*g2(i1,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i3)
          + 2*g1(i2,i3)*g3(i1,i8)
          + g1(i2,i3)*g3(i3,i8)
          + g1(i2,i8)*g1(i3,i8)*g2(i1,i3)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g2(i1,i2)*g2(i2,i3)
          + g2(i1,i2)*g2(i2,i8)
          - g2(i1,i2)*g2(i3,i8)
          - g2(i1,i3)*g2(i2,i3)
          - g2(i1,i3)*g2(i2,i8)
          - g2(i1,i3)*g2(i3,i8)
          - g2(i1,i8)*g2(i2,i3)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i8)
          + g2(i2,i3)*g2(i3,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          - g4(i2,i3)
          - g4(i2,i8)
          + g4(i3,i8)
          )

       + kk(i2,n) * (
          + g1(i2,i3)*g2(i1,i2)*ellf(m)
          + g1(i2,i3)*g2(i1,i3)*ellf(m)
          + 2*g3(i1,i2)*ellf(m)
          - 2*g3(i1,i3)*ellf(m)
          - g3(i2,i3)*ellf(m)
          )

       + kk(i3,m)*kk(i3,n) * (
          + 6*g1(i1,i2)*g3(i2,i3)
          + 6*g1(i2,i3)*g3(i1,i2)
          + 6*g2(i1,i2)*g2(i2,i3)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 6*g4(i2,i3)
          )

       + kk(i3,m)*kk(i4,n) * (
          + g1(i1,i2)*g1(i3,i4)*g2(i2,i3)
          - g1(i1,i2)*g1(i3,i4)*g2(i2,i4)
          + 4*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i4)
          + g1(i1,i2)*g3(i3,i4)
          - g1(i2,i3)*g1(i2,i4)*g2(i1,i4)
          + g1(i2,i3)*g1(i3,i4)*g2(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i4)
          + g1(i2,i3)*g3(i3,i4)
          - g1(i2,i4)*g1(i3,i4)*g2(i1,i2)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g1(i3,i4)*g3(i2,i3)
          - g1(i3,i4)*g3(i2,i4)
          + 4*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i4)
          + g2(i1,i4)*g2(i2,i3)
          + g2(i1,i4)*g2(i2,i4)
          - g2(i1,i4)*g2(i3,i4)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 4*g4(i2,i3)
          + 2*g4(i2,i4)
          + 2*g4(i3,i4)
          )

       + kk(i3,m)*kk(i5,n) * (
          + g1(i1,i2)*g1(i3,i5)*g2(i2,i3)
          - g1(i1,i2)*g1(i3,i5)*g2(i2,i5)
          + 4*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i5)
          + g1(i1,i2)*g3(i3,i5)
          - g1(i2,i3)*g1(i2,i5)*g2(i1,i5)
          + g1(i2,i3)*g1(i3,i5)*g2(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i5)
          + g1(i2,i3)*g3(i3,i5)
          - g1(i2,i5)*g1(i3,i5)*g2(i1,i2)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g1(i3,i5)*g3(i2,i3)
          - g1(i3,i5)*g3(i2,i5)
          + 4*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i5)
          + g2(i1,i5)*g2(i2,i3)
          + g2(i1,i5)*g2(i2,i5)
          - g2(i1,i5)*g2(i3,i5)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 4*g4(i2,i3)
          + 2*g4(i2,i5)
          + 2*g4(i3,i5)
          )

       + kk(i3,m)*kk(i6,n) * (
          + g1(i1,i2)*g1(i3,i6)*g2(i2,i3)
          - g1(i1,i2)*g1(i3,i6)*g2(i2,i6)
          + 4*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i6)
          + g1(i1,i2)*g3(i3,i6)
          - g1(i2,i3)*g1(i2,i6)*g2(i1,i6)
          + g1(i2,i3)*g1(i3,i6)*g2(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i6)
          + g1(i2,i3)*g3(i3,i6)
          - g1(i2,i6)*g1(i3,i6)*g2(i1,i2)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g1(i3,i6)*g3(i2,i3)
          - g1(i3,i6)*g3(i2,i6)
          + 4*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i6)
          + g2(i1,i6)*g2(i2,i3)
          + g2(i1,i6)*g2(i2,i6)
          - g2(i1,i6)*g2(i3,i6)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 4*g4(i2,i3)
          + 2*g4(i2,i6)
          + 2*g4(i3,i6)
          )

       + kk(i3,m)*kk(i7,n) * (
          + g1(i1,i2)*g1(i3,i7)*g2(i2,i3)
          - g1(i1,i2)*g1(i3,i7)*g2(i2,i7)
          + 4*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i7)
          + g1(i1,i2)*g3(i3,i7)
          - g1(i2,i3)*g1(i2,i7)*g2(i1,i7)
          + g1(i2,i3)*g1(i3,i7)*g2(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i7)
          + g1(i2,i3)*g3(i3,i7)
          - g1(i2,i7)*g1(i3,i7)*g2(i1,i2)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g1(i3,i7)*g3(i2,i3)
          - g1(i3,i7)*g3(i2,i7)
          + 4*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i7)
          + g2(i1,i7)*g2(i2,i3)
          + g2(i1,i7)*g2(i2,i7)
          - g2(i1,i7)*g2(i3,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 4*g4(i2,i3)
          + 2*g4(i2,i7)
          + 2*g4(i3,i7)
          )

       + kk(i3,m)*kk(i8,n) * (
          + g1(i1,i2)*g1(i3,i8)*g2(i2,i3)
          - g1(i1,i2)*g1(i3,i8)*g2(i2,i8)
          + 4*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i8)
          + g1(i1,i2)*g3(i3,i8)
          - g1(i2,i3)*g1(i2,i8)*g2(i1,i8)
          + g1(i2,i3)*g1(i3,i8)*g2(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i8)
          + g1(i2,i3)*g3(i3,i8)
          - g1(i2,i8)*g1(i3,i8)*g2(i1,i2)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g1(i3,i8)*g3(i2,i3)
          - g1(i3,i8)*g3(i2,i8)
          + 4*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i8)
          + g2(i1,i8)*g2(i2,i3)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 4*g4(i2,i3)
          + 2*g4(i2,i8)
          + 2*g4(i3,i8)
          )

       + kk(i3,m) * (
          + 2*g1(i1,i2)*g2(i2,i3)*ellf(n)
          + 2*g1(i2,i3)*g2(i1,i2)*ellf(n)
          + 2*g3(i1,i2)*ellf(n)
          - 2*g3(i1,i3)*ellf(n)
          + 2*g3(i2,i3)*ellf(n)
          )

       + kk(i3,n)*kk(i4,m) * (
          + g1(i1,i2)*g1(i3,i4)*g2(i2,i3)
          - g1(i1,i2)*g1(i3,i4)*g2(i2,i4)
          + 4*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i4)
          + g1(i1,i2)*g3(i3,i4)
          - g1(i2,i3)*g1(i2,i4)*g2(i1,i4)
          + g1(i2,i3)*g1(i3,i4)*g2(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i4)
          + g1(i2,i3)*g3(i3,i4)
          - g1(i2,i4)*g1(i3,i4)*g2(i1,i2)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g1(i3,i4)*g3(i2,i3)
          - g1(i3,i4)*g3(i2,i4)
          + 4*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i4)
          + g2(i1,i4)*g2(i2,i3)
          + g2(i1,i4)*g2(i2,i4)
          - g2(i1,i4)*g2(i3,i4)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 4*g4(i2,i3)
          + 2*g4(i2,i4)
          + 2*g4(i3,i4)
          )

       + kk(i3,n)*kk(i5,m) * (
          + g1(i1,i2)*g1(i3,i5)*g2(i2,i3)
          - g1(i1,i2)*g1(i3,i5)*g2(i2,i5)
          + 4*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i5)
          + g1(i1,i2)*g3(i3,i5)
          - g1(i2,i3)*g1(i2,i5)*g2(i1,i5)
          + g1(i2,i3)*g1(i3,i5)*g2(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i5)
          + g1(i2,i3)*g3(i3,i5)
          - g1(i2,i5)*g1(i3,i5)*g2(i1,i2)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g1(i3,i5)*g3(i2,i3)
          - g1(i3,i5)*g3(i2,i5)
          + 4*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i5)
          + g2(i1,i5)*g2(i2,i3)
          + g2(i1,i5)*g2(i2,i5)
          - g2(i1,i5)*g2(i3,i5)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 4*g4(i2,i3)
          + 2*g4(i2,i5)
          + 2*g4(i3,i5)
          )

       + kk(i3,n)*kk(i6,m) * (
          + g1(i1,i2)*g1(i3,i6)*g2(i2,i3)
          - g1(i1,i2)*g1(i3,i6)*g2(i2,i6)
          + 4*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i6)
          + g1(i1,i2)*g3(i3,i6)
          - g1(i2,i3)*g1(i2,i6)*g2(i1,i6)
          + g1(i2,i3)*g1(i3,i6)*g2(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i6)
          + g1(i2,i3)*g3(i3,i6)
          - g1(i2,i6)*g1(i3,i6)*g2(i1,i2)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g1(i3,i6)*g3(i2,i3)
          - g1(i3,i6)*g3(i2,i6)
          + 4*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i6)
          + g2(i1,i6)*g2(i2,i3)
          + g2(i1,i6)*g2(i2,i6)
          - g2(i1,i6)*g2(i3,i6)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 4*g4(i2,i3)
          + 2*g4(i2,i6)
          + 2*g4(i3,i6)
          )

       + kk(i3,n)*kk(i7,m) * (
          + g1(i1,i2)*g1(i3,i7)*g2(i2,i3)
          - g1(i1,i2)*g1(i3,i7)*g2(i2,i7)
          + 4*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i7)
          + g1(i1,i2)*g3(i3,i7)
          - g1(i2,i3)*g1(i2,i7)*g2(i1,i7)
          + g1(i2,i3)*g1(i3,i7)*g2(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i7)
          + g1(i2,i3)*g3(i3,i7)
          - g1(i2,i7)*g1(i3,i7)*g2(i1,i2)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g1(i3,i7)*g3(i2,i3)
          - g1(i3,i7)*g3(i2,i7)
          + 4*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i7)
          + g2(i1,i7)*g2(i2,i3)
          + g2(i1,i7)*g2(i2,i7)
          - g2(i1,i7)*g2(i3,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 4*g4(i2,i3)
          + 2*g4(i2,i7)
          + 2*g4(i3,i7)
          )

       + kk(i3,n)*kk(i8,m) * (
          + g1(i1,i2)*g1(i3,i8)*g2(i2,i3)
          - g1(i1,i2)*g1(i3,i8)*g2(i2,i8)
          + 4*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i8)
          + g1(i1,i2)*g3(i3,i8)
          - g1(i2,i3)*g1(i2,i8)*g2(i1,i8)
          + g1(i2,i3)*g1(i3,i8)*g2(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i8)
          + g1(i2,i3)*g3(i3,i8)
          - g1(i2,i8)*g1(i3,i8)*g2(i1,i2)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g1(i3,i8)*g3(i2,i3)
          - g1(i3,i8)*g3(i2,i8)
          + 4*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i8)
          + g2(i1,i8)*g2(i2,i3)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 4*g4(i2,i3)
          + 2*g4(i2,i8)
          + 2*g4(i3,i8)
          )

       + kk(i3,n) * (
          + 2*g1(i1,i2)*g2(i2,i3)*ellf(m)
          + 2*g1(i2,i3)*g2(i1,i2)*ellf(m)
          + 2*g3(i1,i2)*ellf(m)
          - 2*g3(i1,i3)*ellf(m)
          + 2*g3(i2,i3)*ellf(m)
          )

       + kk(i4,m)*kk(i4,n) * (
          - 2*g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 4*g1(i1,i2)*g3(i2,i4)
          - 4*g1(i1,i2)*g3(i3,i4)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i4)
          - 4*g1(i2,i3)*g3(i3,i4)
          + 4*g1(i2,i4)*g3(i1,i2)
          - 4*g1(i2,i4)*g3(i1,i4)
          - 4*g1(i3,i4)*g3(i1,i3)
          + 4*g1(i3,i4)*g3(i1,i4)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 4*g2(i1,i2)*g2(i2,i4)
          - 2*g2(i1,i2)*g2(i3,i4)
          - 2*g2(i1,i3)*g2(i3,i4)
          - 2*g2(i2,i3)*g2(i3,i4)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 4*g4(i2,i4)
          - 4*g4(i3,i4)
          )

       + kk(i4,m)*kk(i5,n) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          + g1(i1,i2)*g1(i2,i3)*g2(i4,i5)
          + g1(i1,i2)*g1(i4,i5)*g2(i2,i4)
          - g1(i1,i2)*g1(i4,i5)*g2(i2,i5)
          - g1(i1,i2)*g1(i4,i5)*g2(i3,i4)
          + g1(i1,i2)*g1(i4,i5)*g2(i3,i5)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i4)
          + 2*g1(i1,i2)*g3(i2,i5)
          - 2*g1(i1,i2)*g3(i3,i4)
          - 2*g1(i1,i2)*g3(i3,i5)
          + g1(i2,i3)*g1(i4,i5)*g2(i1,i4)
          - g1(i2,i3)*g1(i4,i5)*g2(i1,i5)
          - g1(i2,i3)*g1(i4,i5)*g2(i3,i4)
          + g1(i2,i3)*g1(i4,i5)*g2(i3,i5)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i4)
          + 2*g1(i2,i3)*g3(i1,i5)
          - 2*g1(i2,i3)*g3(i3,i4)
          - 2*g1(i2,i3)*g3(i3,i5)
          - g1(i2,i4)*g1(i2,i5)*g2(i1,i4)
          - g1(i2,i4)*g1(i2,i5)*g2(i1,i5)
          + g1(i2,i4)*g1(i4,i5)*g2(i1,i2)
          + g1(i2,i4)*g1(i4,i5)*g2(i1,i5)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - g1(i2,i5)*g1(i4,i5)*g2(i1,i2)
          - g1(i2,i5)*g1(i4,i5)*g2(i1,i4)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          + g1(i3,i4)*g1(i3,i5)*g2(i1,i4)
          + g1(i3,i4)*g1(i3,i5)*g2(i1,i5)
          - g1(i3,i4)*g1(i4,i5)*g2(i1,i3)
          - g1(i3,i4)*g1(i4,i5)*g2(i1,i5)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g1(i3,i5)*g1(i4,i5)*g2(i1,i3)
          + g1(i3,i5)*g1(i4,i5)*g2(i1,i4)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g1(i4,i5)*g3(i2,i4)
          - g1(i4,i5)*g3(i2,i5)
          - g1(i4,i5)*g3(i3,i4)
          + g1(i4,i5)*g3(i3,i5)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i4)
          + 2*g2(i1,i2)*g2(i2,i5)
          - g2(i1,i2)*g2(i3,i4)
          - g2(i1,i2)*g2(i3,i5)
          + g2(i1,i2)*g2(i4,i5)
          - g2(i1,i3)*g2(i3,i4)
          - g2(i1,i3)*g2(i3,i5)
          - g2(i1,i3)*g2(i4,i5)
          + g2(i1,i4)*g2(i2,i4)
          + g2(i1,i4)*g2(i2,i5)
          - g2(i1,i4)*g2(i3,i4)
          - g2(i1,i4)*g2(i3,i5)
          + g2(i1,i5)*g2(i2,i4)
          + g2(i1,i5)*g2(i2,i5)
          - g2(i1,i5)*g2(i3,i4)
          - g2(i1,i5)*g2(i3,i5)
          - g2(i2,i3)*g2(i3,i4)
          - g2(i2,i3)*g2(i3,i5)
          + g2(i2,i3)*g2(i4,i5)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i4)
          + 2*g4(i2,i5)
          - 2*g4(i3,i4)
          - 2*g4(i3,i5)
          )

       + kk(i4,m)*kk(i6,n) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i6)
          + g1(i1,i2)*g1(i2,i3)*g2(i4,i6)
          + g1(i1,i2)*g1(i4,i6)*g2(i2,i4)
          - g1(i1,i2)*g1(i4,i6)*g2(i2,i6)
          - g1(i1,i2)*g1(i4,i6)*g2(i3,i4)
          + g1(i1,i2)*g1(i4,i6)*g2(i3,i6)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i4)
          + 2*g1(i1,i2)*g3(i2,i6)
          - 2*g1(i1,i2)*g3(i3,i4)
          - 2*g1(i1,i2)*g3(i3,i6)
          + g1(i2,i3)*g1(i4,i6)*g2(i1,i4)
          - g1(i2,i3)*g1(i4,i6)*g2(i1,i6)
          - g1(i2,i3)*g1(i4,i6)*g2(i3,i4)
          + g1(i2,i3)*g1(i4,i6)*g2(i3,i6)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i4)
          + 2*g1(i2,i3)*g3(i1,i6)
          - 2*g1(i2,i3)*g3(i3,i4)
          - 2*g1(i2,i3)*g3(i3,i6)
          - g1(i2,i4)*g1(i2,i6)*g2(i1,i4)
          - g1(i2,i4)*g1(i2,i6)*g2(i1,i6)
          + g1(i2,i4)*g1(i4,i6)*g2(i1,i2)
          + g1(i2,i4)*g1(i4,i6)*g2(i1,i6)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - g1(i2,i6)*g1(i4,i6)*g2(i1,i2)
          - g1(i2,i6)*g1(i4,i6)*g2(i1,i4)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          + g1(i3,i4)*g1(i3,i6)*g2(i1,i4)
          + g1(i3,i4)*g1(i3,i6)*g2(i1,i6)
          - g1(i3,i4)*g1(i4,i6)*g2(i1,i3)
          - g1(i3,i4)*g1(i4,i6)*g2(i1,i6)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g1(i3,i6)*g1(i4,i6)*g2(i1,i3)
          + g1(i3,i6)*g1(i4,i6)*g2(i1,i4)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g1(i4,i6)*g3(i2,i4)
          - g1(i4,i6)*g3(i2,i6)
          - g1(i4,i6)*g3(i3,i4)
          + g1(i4,i6)*g3(i3,i6)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i4)
          + 2*g2(i1,i2)*g2(i2,i6)
          - g2(i1,i2)*g2(i3,i4)
          - g2(i1,i2)*g2(i3,i6)
          + g2(i1,i2)*g2(i4,i6)
          - g2(i1,i3)*g2(i3,i4)
          - g2(i1,i3)*g2(i3,i6)
          - g2(i1,i3)*g2(i4,i6)
          + g2(i1,i4)*g2(i2,i4)
          + g2(i1,i4)*g2(i2,i6)
          - g2(i1,i4)*g2(i3,i4)
          - g2(i1,i4)*g2(i3,i6)
          + g2(i1,i6)*g2(i2,i4)
          + g2(i1,i6)*g2(i2,i6)
          - g2(i1,i6)*g2(i3,i4)
          - g2(i1,i6)*g2(i3,i6)
          - g2(i2,i3)*g2(i3,i4)
          - g2(i2,i3)*g2(i3,i6)
          + g2(i2,i3)*g2(i4,i6)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i4)
          + 2*g4(i2,i6)
          - 2*g4(i3,i4)
          - 2*g4(i3,i6)
          )

       + kk(i4,m)*kk(i7,n) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i7)
          + g1(i1,i2)*g1(i2,i3)*g2(i4,i7)
          + g1(i1,i2)*g1(i4,i7)*g2(i2,i4)
          - g1(i1,i2)*g1(i4,i7)*g2(i2,i7)
          - g1(i1,i2)*g1(i4,i7)*g2(i3,i4)
          + g1(i1,i2)*g1(i4,i7)*g2(i3,i7)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i4)
          + 2*g1(i1,i2)*g3(i2,i7)
          - 2*g1(i1,i2)*g3(i3,i4)
          - 2*g1(i1,i2)*g3(i3,i7)
          + g1(i2,i3)*g1(i4,i7)*g2(i1,i4)
          - g1(i2,i3)*g1(i4,i7)*g2(i1,i7)
          - g1(i2,i3)*g1(i4,i7)*g2(i3,i4)
          + g1(i2,i3)*g1(i4,i7)*g2(i3,i7)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i4)
          + 2*g1(i2,i3)*g3(i1,i7)
          - 2*g1(i2,i3)*g3(i3,i4)
          - 2*g1(i2,i3)*g3(i3,i7)
          - g1(i2,i4)*g1(i2,i7)*g2(i1,i4)
          - g1(i2,i4)*g1(i2,i7)*g2(i1,i7)
          + g1(i2,i4)*g1(i4,i7)*g2(i1,i2)
          + g1(i2,i4)*g1(i4,i7)*g2(i1,i7)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - g1(i2,i7)*g1(i4,i7)*g2(i1,i2)
          - g1(i2,i7)*g1(i4,i7)*g2(i1,i4)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          + g1(i3,i4)*g1(i3,i7)*g2(i1,i4)
          + g1(i3,i4)*g1(i3,i7)*g2(i1,i7)
          - g1(i3,i4)*g1(i4,i7)*g2(i1,i3)
          - g1(i3,i4)*g1(i4,i7)*g2(i1,i7)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g1(i3,i7)*g1(i4,i7)*g2(i1,i3)
          + g1(i3,i7)*g1(i4,i7)*g2(i1,i4)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g1(i4,i7)*g3(i2,i4)
          - g1(i4,i7)*g3(i2,i7)
          - g1(i4,i7)*g3(i3,i4)
          + g1(i4,i7)*g3(i3,i7)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i4)
          + 2*g2(i1,i2)*g2(i2,i7)
          - g2(i1,i2)*g2(i3,i4)
          - g2(i1,i2)*g2(i3,i7)
          + g2(i1,i2)*g2(i4,i7)
          - g2(i1,i3)*g2(i3,i4)
          - g2(i1,i3)*g2(i3,i7)
          - g2(i1,i3)*g2(i4,i7)
          + g2(i1,i4)*g2(i2,i4)
          + g2(i1,i4)*g2(i2,i7)
          - g2(i1,i4)*g2(i3,i4)
          - g2(i1,i4)*g2(i3,i7)
          + g2(i1,i7)*g2(i2,i4)
          + g2(i1,i7)*g2(i2,i7)
          - g2(i1,i7)*g2(i3,i4)
          - g2(i1,i7)*g2(i3,i7)
          - g2(i2,i3)*g2(i3,i4)
          - g2(i2,i3)*g2(i3,i7)
          + g2(i2,i3)*g2(i4,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i4)
          + 2*g4(i2,i7)
          - 2*g4(i3,i4)
          - 2*g4(i3,i7)
          )

       + kk(i4,m)*kk(i8,n) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i8)
          + g1(i1,i2)*g1(i2,i3)*g2(i4,i8)
          + g1(i1,i2)*g1(i4,i8)*g2(i2,i4)
          - g1(i1,i2)*g1(i4,i8)*g2(i2,i8)
          - g1(i1,i2)*g1(i4,i8)*g2(i3,i4)
          + g1(i1,i2)*g1(i4,i8)*g2(i3,i8)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i4)
          + 2*g1(i1,i2)*g3(i2,i8)
          - 2*g1(i1,i2)*g3(i3,i4)
          - 2*g1(i1,i2)*g3(i3,i8)
          + g1(i2,i3)*g1(i4,i8)*g2(i1,i4)
          - g1(i2,i3)*g1(i4,i8)*g2(i1,i8)
          - g1(i2,i3)*g1(i4,i8)*g2(i3,i4)
          + g1(i2,i3)*g1(i4,i8)*g2(i3,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i4)
          + 2*g1(i2,i3)*g3(i1,i8)
          - 2*g1(i2,i3)*g3(i3,i4)
          - 2*g1(i2,i3)*g3(i3,i8)
          - g1(i2,i4)*g1(i2,i8)*g2(i1,i4)
          - g1(i2,i4)*g1(i2,i8)*g2(i1,i8)
          + g1(i2,i4)*g1(i4,i8)*g2(i1,i2)
          + g1(i2,i4)*g1(i4,i8)*g2(i1,i8)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - g1(i2,i8)*g1(i4,i8)*g2(i1,i2)
          - g1(i2,i8)*g1(i4,i8)*g2(i1,i4)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          + g1(i3,i4)*g1(i3,i8)*g2(i1,i4)
          + g1(i3,i4)*g1(i3,i8)*g2(i1,i8)
          - g1(i3,i4)*g1(i4,i8)*g2(i1,i3)
          - g1(i3,i4)*g1(i4,i8)*g2(i1,i8)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g1(i3,i8)*g1(i4,i8)*g2(i1,i3)
          + g1(i3,i8)*g1(i4,i8)*g2(i1,i4)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g1(i4,i8)*g3(i2,i4)
          - g1(i4,i8)*g3(i2,i8)
          - g1(i4,i8)*g3(i3,i4)
          + g1(i4,i8)*g3(i3,i8)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i4)
          + 2*g2(i1,i2)*g2(i2,i8)
          - g2(i1,i2)*g2(i3,i4)
          - g2(i1,i2)*g2(i3,i8)
          + g2(i1,i2)*g2(i4,i8)
          - g2(i1,i3)*g2(i3,i4)
          - g2(i1,i3)*g2(i3,i8)
          - g2(i1,i3)*g2(i4,i8)
          + g2(i1,i4)*g2(i2,i4)
          + g2(i1,i4)*g2(i2,i8)
          - g2(i1,i4)*g2(i3,i4)
          - g2(i1,i4)*g2(i3,i8)
          + g2(i1,i8)*g2(i2,i4)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i4)
          - g2(i1,i8)*g2(i3,i8)
          - g2(i2,i3)*g2(i3,i4)
          - g2(i2,i3)*g2(i3,i8)
          + g2(i2,i3)*g2(i4,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i4)
          + 2*g4(i2,i8)
          - 2*g4(i3,i4)
          - 2*g4(i3,i8)
          )

       + kk(i4,m) * (
          + g1(i1,i2)*g2(i2,i3)*ellf(n)
          + g1(i1,i2)*g2(i2,i4)*ellf(n)
          - g1(i1,i2)*g2(i3,i4)*ellf(n)
          + g1(i2,i3)*g2(i1,i2)*ellf(n)
          + g1(i2,i3)*g2(i1,i4)*ellf(n)
          - g1(i2,i3)*g2(i3,i4)*ellf(n)
          + g1(i2,i4)*g2(i1,i2)*ellf(n)
          - g1(i2,i4)*g2(i1,i4)*ellf(n)
          - g1(i3,i4)*g2(i1,i3)*ellf(n)
          + g1(i3,i4)*g2(i1,i4)*ellf(n)
          + 2*g3(i1,i2)*ellf(n)
          - 2*g3(i1,i3)*ellf(n)
          + g3(i2,i3)*ellf(n)
          + g3(i2,i4)*ellf(n)
          - g3(i3,i4)*ellf(n)
          )

       + kk(i4,n)*kk(i5,m) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          + g1(i1,i2)*g1(i2,i3)*g2(i4,i5)
          + g1(i1,i2)*g1(i4,i5)*g2(i2,i4)
          - g1(i1,i2)*g1(i4,i5)*g2(i2,i5)
          - g1(i1,i2)*g1(i4,i5)*g2(i3,i4)
          + g1(i1,i2)*g1(i4,i5)*g2(i3,i5)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i4)
          + 2*g1(i1,i2)*g3(i2,i5)
          - 2*g1(i1,i2)*g3(i3,i4)
          - 2*g1(i1,i2)*g3(i3,i5)
          + g1(i2,i3)*g1(i4,i5)*g2(i1,i4)
          - g1(i2,i3)*g1(i4,i5)*g2(i1,i5)
          - g1(i2,i3)*g1(i4,i5)*g2(i3,i4)
          + g1(i2,i3)*g1(i4,i5)*g2(i3,i5)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i4)
          + 2*g1(i2,i3)*g3(i1,i5)
          - 2*g1(i2,i3)*g3(i3,i4)
          - 2*g1(i2,i3)*g3(i3,i5)
          - g1(i2,i4)*g1(i2,i5)*g2(i1,i4)
          - g1(i2,i4)*g1(i2,i5)*g2(i1,i5)
          + g1(i2,i4)*g1(i4,i5)*g2(i1,i2)
          + g1(i2,i4)*g1(i4,i5)*g2(i1,i5)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - g1(i2,i5)*g1(i4,i5)*g2(i1,i2)
          - g1(i2,i5)*g1(i4,i5)*g2(i1,i4)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          + g1(i3,i4)*g1(i3,i5)*g2(i1,i4)
          + g1(i3,i4)*g1(i3,i5)*g2(i1,i5)
          - g1(i3,i4)*g1(i4,i5)*g2(i1,i3)
          - g1(i3,i4)*g1(i4,i5)*g2(i1,i5)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g1(i3,i5)*g1(i4,i5)*g2(i1,i3)
          + g1(i3,i5)*g1(i4,i5)*g2(i1,i4)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g1(i4,i5)*g3(i2,i4)
          - g1(i4,i5)*g3(i2,i5)
          - g1(i4,i5)*g3(i3,i4)
          + g1(i4,i5)*g3(i3,i5)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i4)
          + 2*g2(i1,i2)*g2(i2,i5)
          - g2(i1,i2)*g2(i3,i4)
          - g2(i1,i2)*g2(i3,i5)
          + g2(i1,i2)*g2(i4,i5)
          - g2(i1,i3)*g2(i3,i4)
          - g2(i1,i3)*g2(i3,i5)
          - g2(i1,i3)*g2(i4,i5)
          + g2(i1,i4)*g2(i2,i4)
          + g2(i1,i4)*g2(i2,i5)
          - g2(i1,i4)*g2(i3,i4)
          - g2(i1,i4)*g2(i3,i5)
          + g2(i1,i5)*g2(i2,i4)
          + g2(i1,i5)*g2(i2,i5)
          - g2(i1,i5)*g2(i3,i4)
          - g2(i1,i5)*g2(i3,i5)
          - g2(i2,i3)*g2(i3,i4)
          - g2(i2,i3)*g2(i3,i5)
          + g2(i2,i3)*g2(i4,i5)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i4)
          + 2*g4(i2,i5)
          - 2*g4(i3,i4)
          - 2*g4(i3,i5)
          )

       + kk(i4,n)*kk(i6,m) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i6)
          + g1(i1,i2)*g1(i2,i3)*g2(i4,i6)
          + g1(i1,i2)*g1(i4,i6)*g2(i2,i4)
          - g1(i1,i2)*g1(i4,i6)*g2(i2,i6)
          - g1(i1,i2)*g1(i4,i6)*g2(i3,i4)
          + g1(i1,i2)*g1(i4,i6)*g2(i3,i6)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i4)
          + 2*g1(i1,i2)*g3(i2,i6)
          - 2*g1(i1,i2)*g3(i3,i4)
          - 2*g1(i1,i2)*g3(i3,i6)
          + g1(i2,i3)*g1(i4,i6)*g2(i1,i4)
          - g1(i2,i3)*g1(i4,i6)*g2(i1,i6)
          - g1(i2,i3)*g1(i4,i6)*g2(i3,i4)
          + g1(i2,i3)*g1(i4,i6)*g2(i3,i6)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i4)
          + 2*g1(i2,i3)*g3(i1,i6)
          - 2*g1(i2,i3)*g3(i3,i4)
          - 2*g1(i2,i3)*g3(i3,i6)
          - g1(i2,i4)*g1(i2,i6)*g2(i1,i4)
          - g1(i2,i4)*g1(i2,i6)*g2(i1,i6)
          + g1(i2,i4)*g1(i4,i6)*g2(i1,i2)
          + g1(i2,i4)*g1(i4,i6)*g2(i1,i6)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - g1(i2,i6)*g1(i4,i6)*g2(i1,i2)
          - g1(i2,i6)*g1(i4,i6)*g2(i1,i4)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          + g1(i3,i4)*g1(i3,i6)*g2(i1,i4)
          + g1(i3,i4)*g1(i3,i6)*g2(i1,i6)
          - g1(i3,i4)*g1(i4,i6)*g2(i1,i3)
          - g1(i3,i4)*g1(i4,i6)*g2(i1,i6)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g1(i3,i6)*g1(i4,i6)*g2(i1,i3)
          + g1(i3,i6)*g1(i4,i6)*g2(i1,i4)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g1(i4,i6)*g3(i2,i4)
          - g1(i4,i6)*g3(i2,i6)
          - g1(i4,i6)*g3(i3,i4)
          + g1(i4,i6)*g3(i3,i6)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i4)
          + 2*g2(i1,i2)*g2(i2,i6)
          - g2(i1,i2)*g2(i3,i4)
          - g2(i1,i2)*g2(i3,i6)
          + g2(i1,i2)*g2(i4,i6)
          - g2(i1,i3)*g2(i3,i4)
          - g2(i1,i3)*g2(i3,i6)
          - g2(i1,i3)*g2(i4,i6)
          + g2(i1,i4)*g2(i2,i4)
          + g2(i1,i4)*g2(i2,i6)
          - g2(i1,i4)*g2(i3,i4)
          - g2(i1,i4)*g2(i3,i6)
          + g2(i1,i6)*g2(i2,i4)
          + g2(i1,i6)*g2(i2,i6)
          - g2(i1,i6)*g2(i3,i4)
          - g2(i1,i6)*g2(i3,i6)
          - g2(i2,i3)*g2(i3,i4)
          - g2(i2,i3)*g2(i3,i6)
          + g2(i2,i3)*g2(i4,i6)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i4)
          + 2*g4(i2,i6)
          - 2*g4(i3,i4)
          - 2*g4(i3,i6)
          )

       + kk(i4,n)*kk(i7,m) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i7)
          + g1(i1,i2)*g1(i2,i3)*g2(i4,i7)
          + g1(i1,i2)*g1(i4,i7)*g2(i2,i4)
          - g1(i1,i2)*g1(i4,i7)*g2(i2,i7)
          - g1(i1,i2)*g1(i4,i7)*g2(i3,i4)
          + g1(i1,i2)*g1(i4,i7)*g2(i3,i7)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i4)
          + 2*g1(i1,i2)*g3(i2,i7)
          - 2*g1(i1,i2)*g3(i3,i4)
          - 2*g1(i1,i2)*g3(i3,i7)
          + g1(i2,i3)*g1(i4,i7)*g2(i1,i4)
          - g1(i2,i3)*g1(i4,i7)*g2(i1,i7)
          - g1(i2,i3)*g1(i4,i7)*g2(i3,i4)
          + g1(i2,i3)*g1(i4,i7)*g2(i3,i7)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i4)
          + 2*g1(i2,i3)*g3(i1,i7)
          - 2*g1(i2,i3)*g3(i3,i4)
          - 2*g1(i2,i3)*g3(i3,i7)
          - g1(i2,i4)*g1(i2,i7)*g2(i1,i4)
          - g1(i2,i4)*g1(i2,i7)*g2(i1,i7)
          + g1(i2,i4)*g1(i4,i7)*g2(i1,i2)
          + g1(i2,i4)*g1(i4,i7)*g2(i1,i7)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - g1(i2,i7)*g1(i4,i7)*g2(i1,i2)
          - g1(i2,i7)*g1(i4,i7)*g2(i1,i4)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          + g1(i3,i4)*g1(i3,i7)*g2(i1,i4)
          + g1(i3,i4)*g1(i3,i7)*g2(i1,i7)
          - g1(i3,i4)*g1(i4,i7)*g2(i1,i3)
          - g1(i3,i4)*g1(i4,i7)*g2(i1,i7)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g1(i3,i7)*g1(i4,i7)*g2(i1,i3)
          + g1(i3,i7)*g1(i4,i7)*g2(i1,i4)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g1(i4,i7)*g3(i2,i4)
          - g1(i4,i7)*g3(i2,i7)
          - g1(i4,i7)*g3(i3,i4)
          + g1(i4,i7)*g3(i3,i7)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i4)
          + 2*g2(i1,i2)*g2(i2,i7)
          - g2(i1,i2)*g2(i3,i4)
          - g2(i1,i2)*g2(i3,i7)
          + g2(i1,i2)*g2(i4,i7)
          - g2(i1,i3)*g2(i3,i4)
          - g2(i1,i3)*g2(i3,i7)
          - g2(i1,i3)*g2(i4,i7)
          + g2(i1,i4)*g2(i2,i4)
          + g2(i1,i4)*g2(i2,i7)
          - g2(i1,i4)*g2(i3,i4)
          - g2(i1,i4)*g2(i3,i7)
          + g2(i1,i7)*g2(i2,i4)
          + g2(i1,i7)*g2(i2,i7)
          - g2(i1,i7)*g2(i3,i4)
          - g2(i1,i7)*g2(i3,i7)
          - g2(i2,i3)*g2(i3,i4)
          - g2(i2,i3)*g2(i3,i7)
          + g2(i2,i3)*g2(i4,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i4)
          + 2*g4(i2,i7)
          - 2*g4(i3,i4)
          - 2*g4(i3,i7)
          )

       + kk(i4,n)*kk(i8,m) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i8)
          + g1(i1,i2)*g1(i2,i3)*g2(i4,i8)
          + g1(i1,i2)*g1(i4,i8)*g2(i2,i4)
          - g1(i1,i2)*g1(i4,i8)*g2(i2,i8)
          - g1(i1,i2)*g1(i4,i8)*g2(i3,i4)
          + g1(i1,i2)*g1(i4,i8)*g2(i3,i8)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i4)
          + 2*g1(i1,i2)*g3(i2,i8)
          - 2*g1(i1,i2)*g3(i3,i4)
          - 2*g1(i1,i2)*g3(i3,i8)
          + g1(i2,i3)*g1(i4,i8)*g2(i1,i4)
          - g1(i2,i3)*g1(i4,i8)*g2(i1,i8)
          - g1(i2,i3)*g1(i4,i8)*g2(i3,i4)
          + g1(i2,i3)*g1(i4,i8)*g2(i3,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i4)
          + 2*g1(i2,i3)*g3(i1,i8)
          - 2*g1(i2,i3)*g3(i3,i4)
          - 2*g1(i2,i3)*g3(i3,i8)
          - g1(i2,i4)*g1(i2,i8)*g2(i1,i4)
          - g1(i2,i4)*g1(i2,i8)*g2(i1,i8)
          + g1(i2,i4)*g1(i4,i8)*g2(i1,i2)
          + g1(i2,i4)*g1(i4,i8)*g2(i1,i8)
          + 2*g1(i2,i4)*g3(i1,i2)
          - 2*g1(i2,i4)*g3(i1,i4)
          - g1(i2,i8)*g1(i4,i8)*g2(i1,i2)
          - g1(i2,i8)*g1(i4,i8)*g2(i1,i4)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          + g1(i3,i4)*g1(i3,i8)*g2(i1,i4)
          + g1(i3,i4)*g1(i3,i8)*g2(i1,i8)
          - g1(i3,i4)*g1(i4,i8)*g2(i1,i3)
          - g1(i3,i4)*g1(i4,i8)*g2(i1,i8)
          - 2*g1(i3,i4)*g3(i1,i3)
          + 2*g1(i3,i4)*g3(i1,i4)
          + g1(i3,i8)*g1(i4,i8)*g2(i1,i3)
          + g1(i3,i8)*g1(i4,i8)*g2(i1,i4)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g1(i4,i8)*g3(i2,i4)
          - g1(i4,i8)*g3(i2,i8)
          - g1(i4,i8)*g3(i3,i4)
          + g1(i4,i8)*g3(i3,i8)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i4)
          + 2*g2(i1,i2)*g2(i2,i8)
          - g2(i1,i2)*g2(i3,i4)
          - g2(i1,i2)*g2(i3,i8)
          + g2(i1,i2)*g2(i4,i8)
          - g2(i1,i3)*g2(i3,i4)
          - g2(i1,i3)*g2(i3,i8)
          - g2(i1,i3)*g2(i4,i8)
          + g2(i1,i4)*g2(i2,i4)
          + g2(i1,i4)*g2(i2,i8)
          - g2(i1,i4)*g2(i3,i4)
          - g2(i1,i4)*g2(i3,i8)
          + g2(i1,i8)*g2(i2,i4)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i4)
          - g2(i1,i8)*g2(i3,i8)
          - g2(i2,i3)*g2(i3,i4)
          - g2(i2,i3)*g2(i3,i8)
          + g2(i2,i3)*g2(i4,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i4)
          + 2*g4(i2,i8)
          - 2*g4(i3,i4)
          - 2*g4(i3,i8)
          )

       + kk(i4,n) * (
          + g1(i1,i2)*g2(i2,i3)*ellf(m)
          + g1(i1,i2)*g2(i2,i4)*ellf(m)
          - g1(i1,i2)*g2(i3,i4)*ellf(m)
          + g1(i2,i3)*g2(i1,i2)*ellf(m)
          + g1(i2,i3)*g2(i1,i4)*ellf(m)
          - g1(i2,i3)*g2(i3,i4)*ellf(m)
          + g1(i2,i4)*g2(i1,i2)*ellf(m)
          - g1(i2,i4)*g2(i1,i4)*ellf(m)
          - g1(i3,i4)*g2(i1,i3)*ellf(m)
          + g1(i3,i4)*g2(i1,i4)*ellf(m)
          + 2*g3(i1,i2)*ellf(m)
          - 2*g3(i1,i3)*ellf(m)
          + g3(i2,i3)*ellf(m)
          + g3(i2,i4)*ellf(m)
          - g3(i3,i4)*ellf(m)
          )

       + kk(i5,m)*kk(i5,n) * (
          - 2*g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 4*g1(i1,i2)*g3(i2,i5)
          - 4*g1(i1,i2)*g3(i3,i5)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i5)
          - 4*g1(i2,i3)*g3(i3,i5)
          + 4*g1(i2,i5)*g3(i1,i2)
          - 4*g1(i2,i5)*g3(i1,i5)
          - 4*g1(i3,i5)*g3(i1,i3)
          + 4*g1(i3,i5)*g3(i1,i5)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 4*g2(i1,i2)*g2(i2,i5)
          - 2*g2(i1,i2)*g2(i3,i5)
          - 2*g2(i1,i3)*g2(i3,i5)
          - 2*g2(i2,i3)*g2(i3,i5)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 4*g4(i2,i5)
          - 4*g4(i3,i5)
          )

       + kk(i5,m)*kk(i6,n) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i6)
          + g1(i1,i2)*g1(i2,i3)*g2(i5,i6)
          + g1(i1,i2)*g1(i5,i6)*g2(i2,i5)
          - g1(i1,i2)*g1(i5,i6)*g2(i2,i6)
          - g1(i1,i2)*g1(i5,i6)*g2(i3,i5)
          + g1(i1,i2)*g1(i5,i6)*g2(i3,i6)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i5)
          + 2*g1(i1,i2)*g3(i2,i6)
          - 2*g1(i1,i2)*g3(i3,i5)
          - 2*g1(i1,i2)*g3(i3,i6)
          + g1(i2,i3)*g1(i5,i6)*g2(i1,i5)
          - g1(i2,i3)*g1(i5,i6)*g2(i1,i6)
          - g1(i2,i3)*g1(i5,i6)*g2(i3,i5)
          + g1(i2,i3)*g1(i5,i6)*g2(i3,i6)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i5)
          + 2*g1(i2,i3)*g3(i1,i6)
          - 2*g1(i2,i3)*g3(i3,i5)
          - 2*g1(i2,i3)*g3(i3,i6)
          - g1(i2,i5)*g1(i2,i6)*g2(i1,i5)
          - g1(i2,i5)*g1(i2,i6)*g2(i1,i6)
          + g1(i2,i5)*g1(i5,i6)*g2(i1,i2)
          + g1(i2,i5)*g1(i5,i6)*g2(i1,i6)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          - g1(i2,i6)*g1(i5,i6)*g2(i1,i2)
          - g1(i2,i6)*g1(i5,i6)*g2(i1,i5)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          + g1(i3,i5)*g1(i3,i6)*g2(i1,i5)
          + g1(i3,i5)*g1(i3,i6)*g2(i1,i6)
          - g1(i3,i5)*g1(i5,i6)*g2(i1,i3)
          - g1(i3,i5)*g1(i5,i6)*g2(i1,i6)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g1(i3,i6)*g1(i5,i6)*g2(i1,i3)
          + g1(i3,i6)*g1(i5,i6)*g2(i1,i5)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g1(i5,i6)*g3(i2,i5)
          - g1(i5,i6)*g3(i2,i6)
          - g1(i5,i6)*g3(i3,i5)
          + g1(i5,i6)*g3(i3,i6)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i5)
          + 2*g2(i1,i2)*g2(i2,i6)
          - g2(i1,i2)*g2(i3,i5)
          - g2(i1,i2)*g2(i3,i6)
          + g2(i1,i2)*g2(i5,i6)
          - g2(i1,i3)*g2(i3,i5)
          - g2(i1,i3)*g2(i3,i6)
          - g2(i1,i3)*g2(i5,i6)
          + g2(i1,i5)*g2(i2,i5)
          + g2(i1,i5)*g2(i2,i6)
          - g2(i1,i5)*g2(i3,i5)
          - g2(i1,i5)*g2(i3,i6)
          + g2(i1,i6)*g2(i2,i5)
          + g2(i1,i6)*g2(i2,i6)
          - g2(i1,i6)*g2(i3,i5)
          - g2(i1,i6)*g2(i3,i6)
          - g2(i2,i3)*g2(i3,i5)
          - g2(i2,i3)*g2(i3,i6)
          + g2(i2,i3)*g2(i5,i6)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i5)
          + 2*g4(i2,i6)
          - 2*g4(i3,i5)
          - 2*g4(i3,i6)
          )

       + kk(i5,m)*kk(i7,n) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i7)
          + g1(i1,i2)*g1(i2,i3)*g2(i5,i7)
          + g1(i1,i2)*g1(i5,i7)*g2(i2,i5)
          - g1(i1,i2)*g1(i5,i7)*g2(i2,i7)
          - g1(i1,i2)*g1(i5,i7)*g2(i3,i5)
          + g1(i1,i2)*g1(i5,i7)*g2(i3,i7)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i5)
          + 2*g1(i1,i2)*g3(i2,i7)
          - 2*g1(i1,i2)*g3(i3,i5)
          - 2*g1(i1,i2)*g3(i3,i7)
          + g1(i2,i3)*g1(i5,i7)*g2(i1,i5)
          - g1(i2,i3)*g1(i5,i7)*g2(i1,i7)
          - g1(i2,i3)*g1(i5,i7)*g2(i3,i5)
          + g1(i2,i3)*g1(i5,i7)*g2(i3,i7)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i5)
          + 2*g1(i2,i3)*g3(i1,i7)
          - 2*g1(i2,i3)*g3(i3,i5)
          - 2*g1(i2,i3)*g3(i3,i7)
          - g1(i2,i5)*g1(i2,i7)*g2(i1,i5)
          - g1(i2,i5)*g1(i2,i7)*g2(i1,i7)
          + g1(i2,i5)*g1(i5,i7)*g2(i1,i2)
          + g1(i2,i5)*g1(i5,i7)*g2(i1,i7)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          - g1(i2,i7)*g1(i5,i7)*g2(i1,i2)
          - g1(i2,i7)*g1(i5,i7)*g2(i1,i5)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          + g1(i3,i5)*g1(i3,i7)*g2(i1,i5)
          + g1(i3,i5)*g1(i3,i7)*g2(i1,i7)
          - g1(i3,i5)*g1(i5,i7)*g2(i1,i3)
          - g1(i3,i5)*g1(i5,i7)*g2(i1,i7)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g1(i3,i7)*g1(i5,i7)*g2(i1,i3)
          + g1(i3,i7)*g1(i5,i7)*g2(i1,i5)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g1(i5,i7)*g3(i2,i5)
          - g1(i5,i7)*g3(i2,i7)
          - g1(i5,i7)*g3(i3,i5)
          + g1(i5,i7)*g3(i3,i7)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i5)
          + 2*g2(i1,i2)*g2(i2,i7)
          - g2(i1,i2)*g2(i3,i5)
          - g2(i1,i2)*g2(i3,i7)
          + g2(i1,i2)*g2(i5,i7)
          - g2(i1,i3)*g2(i3,i5)
          - g2(i1,i3)*g2(i3,i7)
          - g2(i1,i3)*g2(i5,i7)
          + g2(i1,i5)*g2(i2,i5)
          + g2(i1,i5)*g2(i2,i7)
          - g2(i1,i5)*g2(i3,i5)
          - g2(i1,i5)*g2(i3,i7)
          + g2(i1,i7)*g2(i2,i5)
          + g2(i1,i7)*g2(i2,i7)
          - g2(i1,i7)*g2(i3,i5)
          - g2(i1,i7)*g2(i3,i7)
          - g2(i2,i3)*g2(i3,i5)
          - g2(i2,i3)*g2(i3,i7)
          + g2(i2,i3)*g2(i5,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i5)
          + 2*g4(i2,i7)
          - 2*g4(i3,i5)
          - 2*g4(i3,i7)
          )

       + kk(i5,m)*kk(i8,n) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i8)
          + g1(i1,i2)*g1(i2,i3)*g2(i5,i8)
          + g1(i1,i2)*g1(i5,i8)*g2(i2,i5)
          - g1(i1,i2)*g1(i5,i8)*g2(i2,i8)
          - g1(i1,i2)*g1(i5,i8)*g2(i3,i5)
          + g1(i1,i2)*g1(i5,i8)*g2(i3,i8)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i5)
          + 2*g1(i1,i2)*g3(i2,i8)
          - 2*g1(i1,i2)*g3(i3,i5)
          - 2*g1(i1,i2)*g3(i3,i8)
          + g1(i2,i3)*g1(i5,i8)*g2(i1,i5)
          - g1(i2,i3)*g1(i5,i8)*g2(i1,i8)
          - g1(i2,i3)*g1(i5,i8)*g2(i3,i5)
          + g1(i2,i3)*g1(i5,i8)*g2(i3,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i5)
          + 2*g1(i2,i3)*g3(i1,i8)
          - 2*g1(i2,i3)*g3(i3,i5)
          - 2*g1(i2,i3)*g3(i3,i8)
          - g1(i2,i5)*g1(i2,i8)*g2(i1,i5)
          - g1(i2,i5)*g1(i2,i8)*g2(i1,i8)
          + g1(i2,i5)*g1(i5,i8)*g2(i1,i2)
          + g1(i2,i5)*g1(i5,i8)*g2(i1,i8)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          - g1(i2,i8)*g1(i5,i8)*g2(i1,i2)
          - g1(i2,i8)*g1(i5,i8)*g2(i1,i5)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          + g1(i3,i5)*g1(i3,i8)*g2(i1,i5)
          + g1(i3,i5)*g1(i3,i8)*g2(i1,i8)
          - g1(i3,i5)*g1(i5,i8)*g2(i1,i3)
          - g1(i3,i5)*g1(i5,i8)*g2(i1,i8)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g1(i3,i8)*g1(i5,i8)*g2(i1,i3)
          + g1(i3,i8)*g1(i5,i8)*g2(i1,i5)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g1(i5,i8)*g3(i2,i5)
          - g1(i5,i8)*g3(i2,i8)
          - g1(i5,i8)*g3(i3,i5)
          + g1(i5,i8)*g3(i3,i8)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i5)
          + 2*g2(i1,i2)*g2(i2,i8)
          - g2(i1,i2)*g2(i3,i5)
          - g2(i1,i2)*g2(i3,i8)
          + g2(i1,i2)*g2(i5,i8)
          - g2(i1,i3)*g2(i3,i5)
          - g2(i1,i3)*g2(i3,i8)
          - g2(i1,i3)*g2(i5,i8)
          + g2(i1,i5)*g2(i2,i5)
          + g2(i1,i5)*g2(i2,i8)
          - g2(i1,i5)*g2(i3,i5)
          - g2(i1,i5)*g2(i3,i8)
          + g2(i1,i8)*g2(i2,i5)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i5)
          - g2(i1,i8)*g2(i3,i8)
          - g2(i2,i3)*g2(i3,i5)
          - g2(i2,i3)*g2(i3,i8)
          + g2(i2,i3)*g2(i5,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i5)
          + 2*g4(i2,i8)
          - 2*g4(i3,i5)
          - 2*g4(i3,i8)
          )

       + kk(i5,m) * (
          + g1(i1,i2)*g2(i2,i3)*ellf(n)
          + g1(i1,i2)*g2(i2,i5)*ellf(n)
          - g1(i1,i2)*g2(i3,i5)*ellf(n)
          + g1(i2,i3)*g2(i1,i2)*ellf(n)
          + g1(i2,i3)*g2(i1,i5)*ellf(n)
          - g1(i2,i3)*g2(i3,i5)*ellf(n)
          + g1(i2,i5)*g2(i1,i2)*ellf(n)
          - g1(i2,i5)*g2(i1,i5)*ellf(n)
          - g1(i3,i5)*g2(i1,i3)*ellf(n)
          + g1(i3,i5)*g2(i1,i5)*ellf(n)
          + 2*g3(i1,i2)*ellf(n)
          - 2*g3(i1,i3)*ellf(n)
          + g3(i2,i3)*ellf(n)
          + g3(i2,i5)*ellf(n)
          - g3(i3,i5)*ellf(n)
          )

       + kk(i5,n)*kk(i6,m) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i6)
          + g1(i1,i2)*g1(i2,i3)*g2(i5,i6)
          + g1(i1,i2)*g1(i5,i6)*g2(i2,i5)
          - g1(i1,i2)*g1(i5,i6)*g2(i2,i6)
          - g1(i1,i2)*g1(i5,i6)*g2(i3,i5)
          + g1(i1,i2)*g1(i5,i6)*g2(i3,i6)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i5)
          + 2*g1(i1,i2)*g3(i2,i6)
          - 2*g1(i1,i2)*g3(i3,i5)
          - 2*g1(i1,i2)*g3(i3,i6)
          + g1(i2,i3)*g1(i5,i6)*g2(i1,i5)
          - g1(i2,i3)*g1(i5,i6)*g2(i1,i6)
          - g1(i2,i3)*g1(i5,i6)*g2(i3,i5)
          + g1(i2,i3)*g1(i5,i6)*g2(i3,i6)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i5)
          + 2*g1(i2,i3)*g3(i1,i6)
          - 2*g1(i2,i3)*g3(i3,i5)
          - 2*g1(i2,i3)*g3(i3,i6)
          - g1(i2,i5)*g1(i2,i6)*g2(i1,i5)
          - g1(i2,i5)*g1(i2,i6)*g2(i1,i6)
          + g1(i2,i5)*g1(i5,i6)*g2(i1,i2)
          + g1(i2,i5)*g1(i5,i6)*g2(i1,i6)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          - g1(i2,i6)*g1(i5,i6)*g2(i1,i2)
          - g1(i2,i6)*g1(i5,i6)*g2(i1,i5)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          + g1(i3,i5)*g1(i3,i6)*g2(i1,i5)
          + g1(i3,i5)*g1(i3,i6)*g2(i1,i6)
          - g1(i3,i5)*g1(i5,i6)*g2(i1,i3)
          - g1(i3,i5)*g1(i5,i6)*g2(i1,i6)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g1(i3,i6)*g1(i5,i6)*g2(i1,i3)
          + g1(i3,i6)*g1(i5,i6)*g2(i1,i5)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g1(i5,i6)*g3(i2,i5)
          - g1(i5,i6)*g3(i2,i6)
          - g1(i5,i6)*g3(i3,i5)
          + g1(i5,i6)*g3(i3,i6)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i5)
          + 2*g2(i1,i2)*g2(i2,i6)
          - g2(i1,i2)*g2(i3,i5)
          - g2(i1,i2)*g2(i3,i6)
          + g2(i1,i2)*g2(i5,i6)
          - g2(i1,i3)*g2(i3,i5)
          - g2(i1,i3)*g2(i3,i6)
          - g2(i1,i3)*g2(i5,i6)
          + g2(i1,i5)*g2(i2,i5)
          + g2(i1,i5)*g2(i2,i6)
          - g2(i1,i5)*g2(i3,i5)
          - g2(i1,i5)*g2(i3,i6)
          + g2(i1,i6)*g2(i2,i5)
          + g2(i1,i6)*g2(i2,i6)
          - g2(i1,i6)*g2(i3,i5)
          - g2(i1,i6)*g2(i3,i6)
          - g2(i2,i3)*g2(i3,i5)
          - g2(i2,i3)*g2(i3,i6)
          + g2(i2,i3)*g2(i5,i6)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i5)
          + 2*g4(i2,i6)
          - 2*g4(i3,i5)
          - 2*g4(i3,i6)
          )

       + kk(i5,n)*kk(i7,m) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i7)
          + g1(i1,i2)*g1(i2,i3)*g2(i5,i7)
          + g1(i1,i2)*g1(i5,i7)*g2(i2,i5)
          - g1(i1,i2)*g1(i5,i7)*g2(i2,i7)
          - g1(i1,i2)*g1(i5,i7)*g2(i3,i5)
          + g1(i1,i2)*g1(i5,i7)*g2(i3,i7)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i5)
          + 2*g1(i1,i2)*g3(i2,i7)
          - 2*g1(i1,i2)*g3(i3,i5)
          - 2*g1(i1,i2)*g3(i3,i7)
          + g1(i2,i3)*g1(i5,i7)*g2(i1,i5)
          - g1(i2,i3)*g1(i5,i7)*g2(i1,i7)
          - g1(i2,i3)*g1(i5,i7)*g2(i3,i5)
          + g1(i2,i3)*g1(i5,i7)*g2(i3,i7)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i5)
          + 2*g1(i2,i3)*g3(i1,i7)
          - 2*g1(i2,i3)*g3(i3,i5)
          - 2*g1(i2,i3)*g3(i3,i7)
          - g1(i2,i5)*g1(i2,i7)*g2(i1,i5)
          - g1(i2,i5)*g1(i2,i7)*g2(i1,i7)
          + g1(i2,i5)*g1(i5,i7)*g2(i1,i2)
          + g1(i2,i5)*g1(i5,i7)*g2(i1,i7)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          - g1(i2,i7)*g1(i5,i7)*g2(i1,i2)
          - g1(i2,i7)*g1(i5,i7)*g2(i1,i5)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          + g1(i3,i5)*g1(i3,i7)*g2(i1,i5)
          + g1(i3,i5)*g1(i3,i7)*g2(i1,i7)
          - g1(i3,i5)*g1(i5,i7)*g2(i1,i3)
          - g1(i3,i5)*g1(i5,i7)*g2(i1,i7)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g1(i3,i7)*g1(i5,i7)*g2(i1,i3)
          + g1(i3,i7)*g1(i5,i7)*g2(i1,i5)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g1(i5,i7)*g3(i2,i5)
          - g1(i5,i7)*g3(i2,i7)
          - g1(i5,i7)*g3(i3,i5)
          + g1(i5,i7)*g3(i3,i7)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i5)
          + 2*g2(i1,i2)*g2(i2,i7)
          - g2(i1,i2)*g2(i3,i5)
          - g2(i1,i2)*g2(i3,i7)
          + g2(i1,i2)*g2(i5,i7)
          - g2(i1,i3)*g2(i3,i5)
          - g2(i1,i3)*g2(i3,i7)
          - g2(i1,i3)*g2(i5,i7)
          + g2(i1,i5)*g2(i2,i5)
          + g2(i1,i5)*g2(i2,i7)
          - g2(i1,i5)*g2(i3,i5)
          - g2(i1,i5)*g2(i3,i7)
          + g2(i1,i7)*g2(i2,i5)
          + g2(i1,i7)*g2(i2,i7)
          - g2(i1,i7)*g2(i3,i5)
          - g2(i1,i7)*g2(i3,i7)
          - g2(i2,i3)*g2(i3,i5)
          - g2(i2,i3)*g2(i3,i7)
          + g2(i2,i3)*g2(i5,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i5)
          + 2*g4(i2,i7)
          - 2*g4(i3,i5)
          - 2*g4(i3,i7)
          )

       + kk(i5,n)*kk(i8,m) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i8)
          + g1(i1,i2)*g1(i2,i3)*g2(i5,i8)
          + g1(i1,i2)*g1(i5,i8)*g2(i2,i5)
          - g1(i1,i2)*g1(i5,i8)*g2(i2,i8)
          - g1(i1,i2)*g1(i5,i8)*g2(i3,i5)
          + g1(i1,i2)*g1(i5,i8)*g2(i3,i8)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i5)
          + 2*g1(i1,i2)*g3(i2,i8)
          - 2*g1(i1,i2)*g3(i3,i5)
          - 2*g1(i1,i2)*g3(i3,i8)
          + g1(i2,i3)*g1(i5,i8)*g2(i1,i5)
          - g1(i2,i3)*g1(i5,i8)*g2(i1,i8)
          - g1(i2,i3)*g1(i5,i8)*g2(i3,i5)
          + g1(i2,i3)*g1(i5,i8)*g2(i3,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i5)
          + 2*g1(i2,i3)*g3(i1,i8)
          - 2*g1(i2,i3)*g3(i3,i5)
          - 2*g1(i2,i3)*g3(i3,i8)
          - g1(i2,i5)*g1(i2,i8)*g2(i1,i5)
          - g1(i2,i5)*g1(i2,i8)*g2(i1,i8)
          + g1(i2,i5)*g1(i5,i8)*g2(i1,i2)
          + g1(i2,i5)*g1(i5,i8)*g2(i1,i8)
          + 2*g1(i2,i5)*g3(i1,i2)
          - 2*g1(i2,i5)*g3(i1,i5)
          - g1(i2,i8)*g1(i5,i8)*g2(i1,i2)
          - g1(i2,i8)*g1(i5,i8)*g2(i1,i5)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          + g1(i3,i5)*g1(i3,i8)*g2(i1,i5)
          + g1(i3,i5)*g1(i3,i8)*g2(i1,i8)
          - g1(i3,i5)*g1(i5,i8)*g2(i1,i3)
          - g1(i3,i5)*g1(i5,i8)*g2(i1,i8)
          - 2*g1(i3,i5)*g3(i1,i3)
          + 2*g1(i3,i5)*g3(i1,i5)
          + g1(i3,i8)*g1(i5,i8)*g2(i1,i3)
          + g1(i3,i8)*g1(i5,i8)*g2(i1,i5)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g1(i5,i8)*g3(i2,i5)
          - g1(i5,i8)*g3(i2,i8)
          - g1(i5,i8)*g3(i3,i5)
          + g1(i5,i8)*g3(i3,i8)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i5)
          + 2*g2(i1,i2)*g2(i2,i8)
          - g2(i1,i2)*g2(i3,i5)
          - g2(i1,i2)*g2(i3,i8)
          + g2(i1,i2)*g2(i5,i8)
          - g2(i1,i3)*g2(i3,i5)
          - g2(i1,i3)*g2(i3,i8)
          - g2(i1,i3)*g2(i5,i8)
          + g2(i1,i5)*g2(i2,i5)
          + g2(i1,i5)*g2(i2,i8)
          - g2(i1,i5)*g2(i3,i5)
          - g2(i1,i5)*g2(i3,i8)
          + g2(i1,i8)*g2(i2,i5)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i5)
          - g2(i1,i8)*g2(i3,i8)
          - g2(i2,i3)*g2(i3,i5)
          - g2(i2,i3)*g2(i3,i8)
          + g2(i2,i3)*g2(i5,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i5)
          + 2*g4(i2,i8)
          - 2*g4(i3,i5)
          - 2*g4(i3,i8)
          )

       + kk(i5,n) * (
          + g1(i1,i2)*g2(i2,i3)*ellf(m)
          + g1(i1,i2)*g2(i2,i5)*ellf(m)
          - g1(i1,i2)*g2(i3,i5)*ellf(m)
          + g1(i2,i3)*g2(i1,i2)*ellf(m)
          + g1(i2,i3)*g2(i1,i5)*ellf(m)
          - g1(i2,i3)*g2(i3,i5)*ellf(m)
          + g1(i2,i5)*g2(i1,i2)*ellf(m)
          - g1(i2,i5)*g2(i1,i5)*ellf(m)
          - g1(i3,i5)*g2(i1,i3)*ellf(m)
          + g1(i3,i5)*g2(i1,i5)*ellf(m)
          + 2*g3(i1,i2)*ellf(m)
          - 2*g3(i1,i3)*ellf(m)
          + g3(i2,i3)*ellf(m)
          + g3(i2,i5)*ellf(m)
          - g3(i3,i5)*ellf(m)
          )

       + kk(i6,m)*kk(i6,n) * (
          - 2*g1(i1,i2)*g1(i2,i3)*g2(i3,i6)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 4*g1(i1,i2)*g3(i2,i6)
          - 4*g1(i1,i2)*g3(i3,i6)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i6)
          - 4*g1(i2,i3)*g3(i3,i6)
          + 4*g1(i2,i6)*g3(i1,i2)
          - 4*g1(i2,i6)*g3(i1,i6)
          - 4*g1(i3,i6)*g3(i1,i3)
          + 4*g1(i3,i6)*g3(i1,i6)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 4*g2(i1,i2)*g2(i2,i6)
          - 2*g2(i1,i2)*g2(i3,i6)
          - 2*g2(i1,i3)*g2(i3,i6)
          - 2*g2(i2,i3)*g2(i3,i6)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 4*g4(i2,i6)
          - 4*g4(i3,i6)
          )

       + kk(i6,m)*kk(i7,n) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i6)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i7)
          + g1(i1,i2)*g1(i2,i3)*g2(i6,i7)
          + g1(i1,i2)*g1(i6,i7)*g2(i2,i6)
          - g1(i1,i2)*g1(i6,i7)*g2(i2,i7)
          - g1(i1,i2)*g1(i6,i7)*g2(i3,i6)
          + g1(i1,i2)*g1(i6,i7)*g2(i3,i7)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i6)
          + 2*g1(i1,i2)*g3(i2,i7)
          - 2*g1(i1,i2)*g3(i3,i6)
          - 2*g1(i1,i2)*g3(i3,i7)
          + g1(i2,i3)*g1(i6,i7)*g2(i1,i6)
          - g1(i2,i3)*g1(i6,i7)*g2(i1,i7)
          - g1(i2,i3)*g1(i6,i7)*g2(i3,i6)
          + g1(i2,i3)*g1(i6,i7)*g2(i3,i7)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i6)
          + 2*g1(i2,i3)*g3(i1,i7)
          - 2*g1(i2,i3)*g3(i3,i6)
          - 2*g1(i2,i3)*g3(i3,i7)
          - g1(i2,i6)*g1(i2,i7)*g2(i1,i6)
          - g1(i2,i6)*g1(i2,i7)*g2(i1,i7)
          + g1(i2,i6)*g1(i6,i7)*g2(i1,i2)
          + g1(i2,i6)*g1(i6,i7)*g2(i1,i7)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          - g1(i2,i7)*g1(i6,i7)*g2(i1,i2)
          - g1(i2,i7)*g1(i6,i7)*g2(i1,i6)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          + g1(i3,i6)*g1(i3,i7)*g2(i1,i6)
          + g1(i3,i6)*g1(i3,i7)*g2(i1,i7)
          - g1(i3,i6)*g1(i6,i7)*g2(i1,i3)
          - g1(i3,i6)*g1(i6,i7)*g2(i1,i7)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g1(i3,i7)*g1(i6,i7)*g2(i1,i3)
          + g1(i3,i7)*g1(i6,i7)*g2(i1,i6)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g1(i6,i7)*g3(i2,i6)
          - g1(i6,i7)*g3(i2,i7)
          - g1(i6,i7)*g3(i3,i6)
          + g1(i6,i7)*g3(i3,i7)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i6)
          + 2*g2(i1,i2)*g2(i2,i7)
          - g2(i1,i2)*g2(i3,i6)
          - g2(i1,i2)*g2(i3,i7)
          + g2(i1,i2)*g2(i6,i7)
          - g2(i1,i3)*g2(i3,i6)
          - g2(i1,i3)*g2(i3,i7)
          - g2(i1,i3)*g2(i6,i7)
          + g2(i1,i6)*g2(i2,i6)
          + g2(i1,i6)*g2(i2,i7)
          - g2(i1,i6)*g2(i3,i6)
          - g2(i1,i6)*g2(i3,i7)
          + g2(i1,i7)*g2(i2,i6)
          + g2(i1,i7)*g2(i2,i7)
          - g2(i1,i7)*g2(i3,i6)
          - g2(i1,i7)*g2(i3,i7)
          - g2(i2,i3)*g2(i3,i6)
          - g2(i2,i3)*g2(i3,i7)
          + g2(i2,i3)*g2(i6,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i6)
          + 2*g4(i2,i7)
          - 2*g4(i3,i6)
          - 2*g4(i3,i7)
          )

       + kk(i6,m)*kk(i8,n) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i6)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i8)
          + g1(i1,i2)*g1(i2,i3)*g2(i6,i8)
          + g1(i1,i2)*g1(i6,i8)*g2(i2,i6)
          - g1(i1,i2)*g1(i6,i8)*g2(i2,i8)
          - g1(i1,i2)*g1(i6,i8)*g2(i3,i6)
          + g1(i1,i2)*g1(i6,i8)*g2(i3,i8)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i6)
          + 2*g1(i1,i2)*g3(i2,i8)
          - 2*g1(i1,i2)*g3(i3,i6)
          - 2*g1(i1,i2)*g3(i3,i8)
          + g1(i2,i3)*g1(i6,i8)*g2(i1,i6)
          - g1(i2,i3)*g1(i6,i8)*g2(i1,i8)
          - g1(i2,i3)*g1(i6,i8)*g2(i3,i6)
          + g1(i2,i3)*g1(i6,i8)*g2(i3,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i6)
          + 2*g1(i2,i3)*g3(i1,i8)
          - 2*g1(i2,i3)*g3(i3,i6)
          - 2*g1(i2,i3)*g3(i3,i8)
          - g1(i2,i6)*g1(i2,i8)*g2(i1,i6)
          - g1(i2,i6)*g1(i2,i8)*g2(i1,i8)
          + g1(i2,i6)*g1(i6,i8)*g2(i1,i2)
          + g1(i2,i6)*g1(i6,i8)*g2(i1,i8)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          - g1(i2,i8)*g1(i6,i8)*g2(i1,i2)
          - g1(i2,i8)*g1(i6,i8)*g2(i1,i6)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          + g1(i3,i6)*g1(i3,i8)*g2(i1,i6)
          + g1(i3,i6)*g1(i3,i8)*g2(i1,i8)
          - g1(i3,i6)*g1(i6,i8)*g2(i1,i3)
          - g1(i3,i6)*g1(i6,i8)*g2(i1,i8)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g1(i3,i8)*g1(i6,i8)*g2(i1,i3)
          + g1(i3,i8)*g1(i6,i8)*g2(i1,i6)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g1(i6,i8)*g3(i2,i6)
          - g1(i6,i8)*g3(i2,i8)
          - g1(i6,i8)*g3(i3,i6)
          + g1(i6,i8)*g3(i3,i8)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i6)
          + 2*g2(i1,i2)*g2(i2,i8)
          - g2(i1,i2)*g2(i3,i6)
          - g2(i1,i2)*g2(i3,i8)
          + g2(i1,i2)*g2(i6,i8)
          - g2(i1,i3)*g2(i3,i6)
          - g2(i1,i3)*g2(i3,i8)
          - g2(i1,i3)*g2(i6,i8)
          + g2(i1,i6)*g2(i2,i6)
          + g2(i1,i6)*g2(i2,i8)
          - g2(i1,i6)*g2(i3,i6)
          - g2(i1,i6)*g2(i3,i8)
          + g2(i1,i8)*g2(i2,i6)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i6)
          - g2(i1,i8)*g2(i3,i8)
          - g2(i2,i3)*g2(i3,i6)
          - g2(i2,i3)*g2(i3,i8)
          + g2(i2,i3)*g2(i6,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i6)
          + 2*g4(i2,i8)
          - 2*g4(i3,i6)
          - 2*g4(i3,i8)
          )

       + kk(i6,m) * (
          + g1(i1,i2)*g2(i2,i3)*ellf(n)
          + g1(i1,i2)*g2(i2,i6)*ellf(n)
          - g1(i1,i2)*g2(i3,i6)*ellf(n)
          + g1(i2,i3)*g2(i1,i2)*ellf(n)
          + g1(i2,i3)*g2(i1,i6)*ellf(n)
          - g1(i2,i3)*g2(i3,i6)*ellf(n)
          + g1(i2,i6)*g2(i1,i2)*ellf(n)
          - g1(i2,i6)*g2(i1,i6)*ellf(n)
          - g1(i3,i6)*g2(i1,i3)*ellf(n)
          + g1(i3,i6)*g2(i1,i6)*ellf(n)
          + 2*g3(i1,i2)*ellf(n)
          - 2*g3(i1,i3)*ellf(n)
          + g3(i2,i3)*ellf(n)
          + g3(i2,i6)*ellf(n)
          - g3(i3,i6)*ellf(n)
          )

       + kk(i6,n)*kk(i7,m) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i6)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i7)
          + g1(i1,i2)*g1(i2,i3)*g2(i6,i7)
          + g1(i1,i2)*g1(i6,i7)*g2(i2,i6)
          - g1(i1,i2)*g1(i6,i7)*g2(i2,i7)
          - g1(i1,i2)*g1(i6,i7)*g2(i3,i6)
          + g1(i1,i2)*g1(i6,i7)*g2(i3,i7)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i6)
          + 2*g1(i1,i2)*g3(i2,i7)
          - 2*g1(i1,i2)*g3(i3,i6)
          - 2*g1(i1,i2)*g3(i3,i7)
          + g1(i2,i3)*g1(i6,i7)*g2(i1,i6)
          - g1(i2,i3)*g1(i6,i7)*g2(i1,i7)
          - g1(i2,i3)*g1(i6,i7)*g2(i3,i6)
          + g1(i2,i3)*g1(i6,i7)*g2(i3,i7)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i6)
          + 2*g1(i2,i3)*g3(i1,i7)
          - 2*g1(i2,i3)*g3(i3,i6)
          - 2*g1(i2,i3)*g3(i3,i7)
          - g1(i2,i6)*g1(i2,i7)*g2(i1,i6)
          - g1(i2,i6)*g1(i2,i7)*g2(i1,i7)
          + g1(i2,i6)*g1(i6,i7)*g2(i1,i2)
          + g1(i2,i6)*g1(i6,i7)*g2(i1,i7)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          - g1(i2,i7)*g1(i6,i7)*g2(i1,i2)
          - g1(i2,i7)*g1(i6,i7)*g2(i1,i6)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          + g1(i3,i6)*g1(i3,i7)*g2(i1,i6)
          + g1(i3,i6)*g1(i3,i7)*g2(i1,i7)
          - g1(i3,i6)*g1(i6,i7)*g2(i1,i3)
          - g1(i3,i6)*g1(i6,i7)*g2(i1,i7)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g1(i3,i7)*g1(i6,i7)*g2(i1,i3)
          + g1(i3,i7)*g1(i6,i7)*g2(i1,i6)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g1(i6,i7)*g3(i2,i6)
          - g1(i6,i7)*g3(i2,i7)
          - g1(i6,i7)*g3(i3,i6)
          + g1(i6,i7)*g3(i3,i7)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i6)
          + 2*g2(i1,i2)*g2(i2,i7)
          - g2(i1,i2)*g2(i3,i6)
          - g2(i1,i2)*g2(i3,i7)
          + g2(i1,i2)*g2(i6,i7)
          - g2(i1,i3)*g2(i3,i6)
          - g2(i1,i3)*g2(i3,i7)
          - g2(i1,i3)*g2(i6,i7)
          + g2(i1,i6)*g2(i2,i6)
          + g2(i1,i6)*g2(i2,i7)
          - g2(i1,i6)*g2(i3,i6)
          - g2(i1,i6)*g2(i3,i7)
          + g2(i1,i7)*g2(i2,i6)
          + g2(i1,i7)*g2(i2,i7)
          - g2(i1,i7)*g2(i3,i6)
          - g2(i1,i7)*g2(i3,i7)
          - g2(i2,i3)*g2(i3,i6)
          - g2(i2,i3)*g2(i3,i7)
          + g2(i2,i3)*g2(i6,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i6)
          + 2*g4(i2,i7)
          - 2*g4(i3,i6)
          - 2*g4(i3,i7)
          )

       + kk(i6,n)*kk(i8,m) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i6)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i8)
          + g1(i1,i2)*g1(i2,i3)*g2(i6,i8)
          + g1(i1,i2)*g1(i6,i8)*g2(i2,i6)
          - g1(i1,i2)*g1(i6,i8)*g2(i2,i8)
          - g1(i1,i2)*g1(i6,i8)*g2(i3,i6)
          + g1(i1,i2)*g1(i6,i8)*g2(i3,i8)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i6)
          + 2*g1(i1,i2)*g3(i2,i8)
          - 2*g1(i1,i2)*g3(i3,i6)
          - 2*g1(i1,i2)*g3(i3,i8)
          + g1(i2,i3)*g1(i6,i8)*g2(i1,i6)
          - g1(i2,i3)*g1(i6,i8)*g2(i1,i8)
          - g1(i2,i3)*g1(i6,i8)*g2(i3,i6)
          + g1(i2,i3)*g1(i6,i8)*g2(i3,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i6)
          + 2*g1(i2,i3)*g3(i1,i8)
          - 2*g1(i2,i3)*g3(i3,i6)
          - 2*g1(i2,i3)*g3(i3,i8)
          - g1(i2,i6)*g1(i2,i8)*g2(i1,i6)
          - g1(i2,i6)*g1(i2,i8)*g2(i1,i8)
          + g1(i2,i6)*g1(i6,i8)*g2(i1,i2)
          + g1(i2,i6)*g1(i6,i8)*g2(i1,i8)
          + 2*g1(i2,i6)*g3(i1,i2)
          - 2*g1(i2,i6)*g3(i1,i6)
          - g1(i2,i8)*g1(i6,i8)*g2(i1,i2)
          - g1(i2,i8)*g1(i6,i8)*g2(i1,i6)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          + g1(i3,i6)*g1(i3,i8)*g2(i1,i6)
          + g1(i3,i6)*g1(i3,i8)*g2(i1,i8)
          - g1(i3,i6)*g1(i6,i8)*g2(i1,i3)
          - g1(i3,i6)*g1(i6,i8)*g2(i1,i8)
          - 2*g1(i3,i6)*g3(i1,i3)
          + 2*g1(i3,i6)*g3(i1,i6)
          + g1(i3,i8)*g1(i6,i8)*g2(i1,i3)
          + g1(i3,i8)*g1(i6,i8)*g2(i1,i6)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g1(i6,i8)*g3(i2,i6)
          - g1(i6,i8)*g3(i2,i8)
          - g1(i6,i8)*g3(i3,i6)
          + g1(i6,i8)*g3(i3,i8)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i6)
          + 2*g2(i1,i2)*g2(i2,i8)
          - g2(i1,i2)*g2(i3,i6)
          - g2(i1,i2)*g2(i3,i8)
          + g2(i1,i2)*g2(i6,i8)
          - g2(i1,i3)*g2(i3,i6)
          - g2(i1,i3)*g2(i3,i8)
          - g2(i1,i3)*g2(i6,i8)
          + g2(i1,i6)*g2(i2,i6)
          + g2(i1,i6)*g2(i2,i8)
          - g2(i1,i6)*g2(i3,i6)
          - g2(i1,i6)*g2(i3,i8)
          + g2(i1,i8)*g2(i2,i6)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i6)
          - g2(i1,i8)*g2(i3,i8)
          - g2(i2,i3)*g2(i3,i6)
          - g2(i2,i3)*g2(i3,i8)
          + g2(i2,i3)*g2(i6,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i6)
          + 2*g4(i2,i8)
          - 2*g4(i3,i6)
          - 2*g4(i3,i8)
          )

       + kk(i6,n) * (
          + g1(i1,i2)*g2(i2,i3)*ellf(m)
          + g1(i1,i2)*g2(i2,i6)*ellf(m)
          - g1(i1,i2)*g2(i3,i6)*ellf(m)
          + g1(i2,i3)*g2(i1,i2)*ellf(m)
          + g1(i2,i3)*g2(i1,i6)*ellf(m)
          - g1(i2,i3)*g2(i3,i6)*ellf(m)
          + g1(i2,i6)*g2(i1,i2)*ellf(m)
          - g1(i2,i6)*g2(i1,i6)*ellf(m)
          - g1(i3,i6)*g2(i1,i3)*ellf(m)
          + g1(i3,i6)*g2(i1,i6)*ellf(m)
          + 2*g3(i1,i2)*ellf(m)
          - 2*g3(i1,i3)*ellf(m)
          + g3(i2,i3)*ellf(m)
          + g3(i2,i6)*ellf(m)
          - g3(i3,i6)*ellf(m)
          )

       + kk(i7,m)*kk(i7,n) * (
          - 2*g1(i1,i2)*g1(i2,i3)*g2(i3,i7)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 4*g1(i1,i2)*g3(i2,i7)
          - 4*g1(i1,i2)*g3(i3,i7)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i7)
          - 4*g1(i2,i3)*g3(i3,i7)
          + 4*g1(i2,i7)*g3(i1,i2)
          - 4*g1(i2,i7)*g3(i1,i7)
          - 4*g1(i3,i7)*g3(i1,i3)
          + 4*g1(i3,i7)*g3(i1,i7)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 4*g2(i1,i2)*g2(i2,i7)
          - 2*g2(i1,i2)*g2(i3,i7)
          - 2*g2(i1,i3)*g2(i3,i7)
          - 2*g2(i2,i3)*g2(i3,i7)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 4*g4(i2,i7)
          - 4*g4(i3,i7)
          )

       + kk(i7,m)*kk(i8,n) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i7)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i8)
          + g1(i1,i2)*g1(i2,i3)*g2(i7,i8)
          + g1(i1,i2)*g1(i7,i8)*g2(i2,i7)
          - g1(i1,i2)*g1(i7,i8)*g2(i2,i8)
          - g1(i1,i2)*g1(i7,i8)*g2(i3,i7)
          + g1(i1,i2)*g1(i7,i8)*g2(i3,i8)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i7)
          + 2*g1(i1,i2)*g3(i2,i8)
          - 2*g1(i1,i2)*g3(i3,i7)
          - 2*g1(i1,i2)*g3(i3,i8)
          + g1(i2,i3)*g1(i7,i8)*g2(i1,i7)
          - g1(i2,i3)*g1(i7,i8)*g2(i1,i8)
          - g1(i2,i3)*g1(i7,i8)*g2(i3,i7)
          + g1(i2,i3)*g1(i7,i8)*g2(i3,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i7)
          + 2*g1(i2,i3)*g3(i1,i8)
          - 2*g1(i2,i3)*g3(i3,i7)
          - 2*g1(i2,i3)*g3(i3,i8)
          - g1(i2,i7)*g1(i2,i8)*g2(i1,i7)
          - g1(i2,i7)*g1(i2,i8)*g2(i1,i8)
          + g1(i2,i7)*g1(i7,i8)*g2(i1,i2)
          + g1(i2,i7)*g1(i7,i8)*g2(i1,i8)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          - g1(i2,i8)*g1(i7,i8)*g2(i1,i2)
          - g1(i2,i8)*g1(i7,i8)*g2(i1,i7)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          + g1(i3,i7)*g1(i3,i8)*g2(i1,i7)
          + g1(i3,i7)*g1(i3,i8)*g2(i1,i8)
          - g1(i3,i7)*g1(i7,i8)*g2(i1,i3)
          - g1(i3,i7)*g1(i7,i8)*g2(i1,i8)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g1(i3,i8)*g1(i7,i8)*g2(i1,i3)
          + g1(i3,i8)*g1(i7,i8)*g2(i1,i7)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g1(i7,i8)*g3(i2,i7)
          - g1(i7,i8)*g3(i2,i8)
          - g1(i7,i8)*g3(i3,i7)
          + g1(i7,i8)*g3(i3,i8)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i7)
          + 2*g2(i1,i2)*g2(i2,i8)
          - g2(i1,i2)*g2(i3,i7)
          - g2(i1,i2)*g2(i3,i8)
          + g2(i1,i2)*g2(i7,i8)
          - g2(i1,i3)*g2(i3,i7)
          - g2(i1,i3)*g2(i3,i8)
          - g2(i1,i3)*g2(i7,i8)
          + g2(i1,i7)*g2(i2,i7)
          + g2(i1,i7)*g2(i2,i8)
          - g2(i1,i7)*g2(i3,i7)
          - g2(i1,i7)*g2(i3,i8)
          + g2(i1,i8)*g2(i2,i7)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i7)
          - g2(i1,i8)*g2(i3,i8)
          - g2(i2,i3)*g2(i3,i7)
          - g2(i2,i3)*g2(i3,i8)
          + g2(i2,i3)*g2(i7,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i7)
          + 2*g4(i2,i8)
          - 2*g4(i3,i7)
          - 2*g4(i3,i8)
          )

       + kk(i7,m) * (
          + g1(i1,i2)*g2(i2,i3)*ellf(n)
          + g1(i1,i2)*g2(i2,i7)*ellf(n)
          - g1(i1,i2)*g2(i3,i7)*ellf(n)
          + g1(i2,i3)*g2(i1,i2)*ellf(n)
          + g1(i2,i3)*g2(i1,i7)*ellf(n)
          - g1(i2,i3)*g2(i3,i7)*ellf(n)
          + g1(i2,i7)*g2(i1,i2)*ellf(n)
          - g1(i2,i7)*g2(i1,i7)*ellf(n)
          - g1(i3,i7)*g2(i1,i3)*ellf(n)
          + g1(i3,i7)*g2(i1,i7)*ellf(n)
          + 2*g3(i1,i2)*ellf(n)
          - 2*g3(i1,i3)*ellf(n)
          + g3(i2,i3)*ellf(n)
          + g3(i2,i7)*ellf(n)
          - g3(i3,i7)*ellf(n)
          )

       + kk(i7,n)*kk(i8,m) * (
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i7)
          - g1(i1,i2)*g1(i2,i3)*g2(i3,i8)
          + g1(i1,i2)*g1(i2,i3)*g2(i7,i8)
          + g1(i1,i2)*g1(i7,i8)*g2(i2,i7)
          - g1(i1,i2)*g1(i7,i8)*g2(i2,i8)
          - g1(i1,i2)*g1(i7,i8)*g2(i3,i7)
          + g1(i1,i2)*g1(i7,i8)*g2(i3,i8)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 2*g1(i1,i2)*g3(i2,i7)
          + 2*g1(i1,i2)*g3(i2,i8)
          - 2*g1(i1,i2)*g3(i3,i7)
          - 2*g1(i1,i2)*g3(i3,i8)
          + g1(i2,i3)*g1(i7,i8)*g2(i1,i7)
          - g1(i2,i3)*g1(i7,i8)*g2(i1,i8)
          - g1(i2,i3)*g1(i7,i8)*g2(i3,i7)
          + g1(i2,i3)*g1(i7,i8)*g2(i3,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 2*g1(i2,i3)*g3(i1,i7)
          + 2*g1(i2,i3)*g3(i1,i8)
          - 2*g1(i2,i3)*g3(i3,i7)
          - 2*g1(i2,i3)*g3(i3,i8)
          - g1(i2,i7)*g1(i2,i8)*g2(i1,i7)
          - g1(i2,i7)*g1(i2,i8)*g2(i1,i8)
          + g1(i2,i7)*g1(i7,i8)*g2(i1,i2)
          + g1(i2,i7)*g1(i7,i8)*g2(i1,i8)
          + 2*g1(i2,i7)*g3(i1,i2)
          - 2*g1(i2,i7)*g3(i1,i7)
          - g1(i2,i8)*g1(i7,i8)*g2(i1,i2)
          - g1(i2,i8)*g1(i7,i8)*g2(i1,i7)
          + 2*g1(i2,i8)*g3(i1,i2)
          - 2*g1(i2,i8)*g3(i1,i8)
          + g1(i3,i7)*g1(i3,i8)*g2(i1,i7)
          + g1(i3,i7)*g1(i3,i8)*g2(i1,i8)
          - g1(i3,i7)*g1(i7,i8)*g2(i1,i3)
          - g1(i3,i7)*g1(i7,i8)*g2(i1,i8)
          - 2*g1(i3,i7)*g3(i1,i3)
          + 2*g1(i3,i7)*g3(i1,i7)
          + g1(i3,i8)*g1(i7,i8)*g2(i1,i3)
          + g1(i3,i8)*g1(i7,i8)*g2(i1,i7)
          - 2*g1(i3,i8)*g3(i1,i3)
          + 2*g1(i3,i8)*g3(i1,i8)
          + g1(i7,i8)*g3(i2,i7)
          - g1(i7,i8)*g3(i2,i8)
          - g1(i7,i8)*g3(i3,i7)
          + g1(i7,i8)*g3(i3,i8)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 2*g2(i1,i2)*g2(i2,i7)
          + 2*g2(i1,i2)*g2(i2,i8)
          - g2(i1,i2)*g2(i3,i7)
          - g2(i1,i2)*g2(i3,i8)
          + g2(i1,i2)*g2(i7,i8)
          - g2(i1,i3)*g2(i3,i7)
          - g2(i1,i3)*g2(i3,i8)
          - g2(i1,i3)*g2(i7,i8)
          + g2(i1,i7)*g2(i2,i7)
          + g2(i1,i7)*g2(i2,i8)
          - g2(i1,i7)*g2(i3,i7)
          - g2(i1,i7)*g2(i3,i8)
          + g2(i1,i8)*g2(i2,i7)
          + g2(i1,i8)*g2(i2,i8)
          - g2(i1,i8)*g2(i3,i7)
          - g2(i1,i8)*g2(i3,i8)
          - g2(i2,i3)*g2(i3,i7)
          - g2(i2,i3)*g2(i3,i8)
          + g2(i2,i3)*g2(i7,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 2*g4(i2,i7)
          + 2*g4(i2,i8)
          - 2*g4(i3,i7)
          - 2*g4(i3,i8)
          )

       + kk(i7,n) * (
          + g1(i1,i2)*g2(i2,i3)*ellf(m)
          + g1(i1,i2)*g2(i2,i7)*ellf(m)
          - g1(i1,i2)*g2(i3,i7)*ellf(m)
          + g1(i2,i3)*g2(i1,i2)*ellf(m)
          + g1(i2,i3)*g2(i1,i7)*ellf(m)
          - g1(i2,i3)*g2(i3,i7)*ellf(m)
          + g1(i2,i7)*g2(i1,i2)*ellf(m)
          - g1(i2,i7)*g2(i1,i7)*ellf(m)
          - g1(i3,i7)*g2(i1,i3)*ellf(m)
          + g1(i3,i7)*g2(i1,i7)*ellf(m)
          + 2*g3(i1,i2)*ellf(m)
          - 2*g3(i1,i3)*ellf(m)
          + g3(i2,i3)*ellf(m)
          + g3(i2,i7)*ellf(m)
          - g3(i3,i7)*ellf(m)
          )

       + kk(i8,m)*kk(i8,n) * (
          - 2*g1(i1,i2)*g1(i2,i3)*g2(i3,i8)
          + 2*g1(i1,i2)*g3(i2,i3)
          + 4*g1(i1,i2)*g3(i2,i8)
          - 4*g1(i1,i2)*g3(i3,i8)
          + 2*g1(i2,i3)*g3(i1,i2)
          + 4*g1(i2,i3)*g3(i1,i8)
          - 4*g1(i2,i3)*g3(i3,i8)
          + 4*g1(i2,i8)*g3(i1,i2)
          - 4*g1(i2,i8)*g3(i1,i8)
          - 4*g1(i3,i8)*g3(i1,i3)
          + 4*g1(i3,i8)*g3(i1,i8)
          + 2*g2(i1,i2)*g2(i2,i3)
          + 4*g2(i1,i2)*g2(i2,i8)
          - 2*g2(i1,i2)*g2(i3,i8)
          - 2*g2(i1,i3)*g2(i3,i8)
          - 2*g2(i2,i3)*g2(i3,i8)
          + 6*g4(i1,i2)
          - 6*g4(i1,i3)
          + 2*g4(i2,i3)
          + 4*g4(i2,i8)
          - 4*g4(i3,i8)
          )

       + kk(i8,m) * (
          + g1(i1,i2)*g2(i2,i3)*ellf(n)
          + g1(i1,i2)*g2(i2,i8)*ellf(n)
          - g1(i1,i2)*g2(i3,i8)*ellf(n)
          + g1(i2,i3)*g2(i1,i2)*ellf(n)
          + g1(i2,i3)*g2(i1,i8)*ellf(n)
          - g1(i2,i3)*g2(i3,i8)*ellf(n)
          + g1(i2,i8)*g2(i1,i2)*ellf(n)
          - g1(i2,i8)*g2(i1,i8)*ellf(n)
          - g1(i3,i8)*g2(i1,i3)*ellf(n)
          + g1(i3,i8)*g2(i1,i8)*ellf(n)
          + 2*g3(i1,i2)*ellf(n)
          - 2*g3(i1,i3)*ellf(n)
          + g3(i2,i3)*ellf(n)
          + g3(i2,i8)*ellf(n)
          - g3(i3,i8)*ellf(n)
          )

       + kk(i8,n) * (
          + g1(i1,i2)*g2(i2,i3)*ellf(m)
          + g1(i1,i2)*g2(i2,i8)*ellf(m)
          - g1(i1,i2)*g2(i3,i8)*ellf(m)
          + g1(i2,i3)*g2(i1,i2)*ellf(m)
          + g1(i2,i3)*g2(i1,i8)*ellf(m)
          - g1(i2,i3)*g2(i3,i8)*ellf(m)
          + g1(i2,i8)*g2(i1,i2)*ellf(m)
          - g1(i2,i8)*g2(i1,i8)*ellf(m)
          - g1(i3,i8)*g2(i1,i3)*ellf(m)
          + g1(i3,i8)*g2(i1,i8)*ellf(m)
          + 2*g3(i1,i2)*ellf(m)
          - 2*g3(i1,i3)*ellf(m)
          + g3(i2,i3)*ellf(m)
          + g3(i2,i8)*ellf(m)
          - g3(i3,i8)*ellf(m)
          )

       + g1(i1,i2)*g1(i2,i3)*ellf(m)*ellf(n)
          + g2(i1,i2)*ellf(m)*ellf(n)
          - g2(i1,i3)*ellf(m)*ellf(n)
          + g2(i2,i3)*ellf(m)*ellf(n)

          + x2 * (
          + s(i1,i2)*d_(m,n)*G4
          - 2*s(i1,i3)*d_(m,n)*G4
          + s(i2,i3)*d_(m,n)*G4
          );


